Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
+++ chapter01/changelog.xml	(revision 403b39cadb9f22161360eca483cebedd13c66fbc)
@@ -53,4 +53,20 @@
            </para>
         </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to Python-3.7.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4301">#4301</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to gdbm-1.16.  Fixes 
+           <ulink url="&lfs-ticket-root;4302">#4302</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to elfutils-0.173.  Fixes 
+           <ulink url="&lfs-ticket-root;4304">#4304</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to coreutils-8.30.  Fixes 
+           <ulink url="&lfs-ticket-root;4305">#4305</ulink>.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
+++ chapter01/whatsnew.xml	(revision 403b39cadb9f22161360eca483cebedd13c66fbc)
@@ -57,7 +57,7 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Coreutils-&coreutils-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
Index: chapter06/meson.xml
===================================================================
--- chapter06/meson.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
+++ chapter06/meson.xml	(revision 403b39cadb9f22161360eca483cebedd13c66fbc)
@@ -53,7 +53,7 @@
     <para>At last, move Meson man pages to correct location:</para>
 
-<screen><userinput remap="install">mv -v /usr/lib/python3.6/site-packages/meson-&meson-version;-py3.6.egg/share/man/man1/*.1 \
+<screen><userinput remap="install">mv -v /usr/lib/python3.7/site-packages/meson-&meson-version;-py3.7.egg/share/man/man1/*.1 \
       /usr/share/man/man1
-rm -r /usr/lib/python3.6/site-packages/meson-&meson-version;-py3.6.egg/share</userinput></screen>
+rm -r /usr/lib/python3.7/site-packages/meson-&meson-version;-py3.7.egg/share</userinput></screen>
 
   </sect2>
@@ -69,5 +69,5 @@
       <seglistitem>
         <seg>meson, mesonconf, mesonintrospect, mesontest, and wraptool</seg>
-		<seg>/usr/lib/python3.6/site-packages/meson-&meson-version;-py3.6.egg</seg>
+		<seg>/usr/lib/python3.7/site-packages/meson-&meson-version;-py3.7.egg</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/python.xml
===================================================================
--- chapter06/python.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
+++ chapter06/python.xml	(revision 403b39cadb9f22161360eca483cebedd13c66fbc)
@@ -90,5 +90,5 @@
 
 <screen><userinput remap="install">make install
-chmod -v 755 /usr/lib/libpython3.6m.so
+chmod -v 755 /usr/lib/libpython3.7m.so
 chmod -v 755 /usr/lib/libpython3.so</userinput></screen>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
+++ packages.ent	(revision 403b39cadb9f22161360eca483cebedd13c66fbc)
@@ -99,8 +99,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU (about 3.8 SBU with tests)">
 
-<!ENTITY coreutils-version "8.29">
-<!ENTITY coreutils-size "5,163 KB">
+<!ENTITY coreutils-version "8.30">
+<!ENTITY coreutils-size "5,234 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "960cfe75a42c9907c71439f8eb436303">
+<!ENTITY coreutils-md5 "ab06d68949758971fe744db66b572816">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "139 MB">
@@ -146,8 +146,8 @@
 <!ENTITY e2fsprogs-ch6-sbu "5.1 SBU">
 
-<!ENTITY elfutils-version "0.172">
-<!ENTITY elfutils-size "8,400 KB">
+<!ENTITY elfutils-version "0.173">
+<!ENTITY elfutils-size "8,482 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "01e87ab4c5a6a249c04e22a97a4221d3">
+<!ENTITY elfutils-md5 "35decb1ebfb90d565e4c411bee4185cc">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
 <!ENTITY elfutils-ch6-du "74 MB">
@@ -238,8 +238,8 @@
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
-<!ENTITY gdbm-version "1.15">
-<!ENTITY gdbm-size "908 KB">
+<!ENTITY gdbm-version "1.16">
+<!ENTITY gdbm-size "915 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "8d990067ae46c75d16e8a9c79b0c4fd7">
+<!ENTITY gdbm-md5 "05ee82b8f9188a8228c2384f4b9f2eac">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-ch6-du "10 MB">
@@ -568,14 +568,14 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.6.5">
-<!ENTITY python-size "16,651 KB">
+<!ENTITY python-version "3.7.0">
+<!ENTITY python-size "16,526 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "9f49654a4d6f733ff3284ab9d227e9fd">
+<!ENTITY python-md5 "eb8c2a6b1447d50813c02714af4681f3">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch6-du "354 MB">
 <!ENTITY python-ch6-sbu "1.2 SBU">
 <!ENTITY python-docs-url "https://docs.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "3d57ca882a52cbcbe42bd8ec673faa7e">
-<!ENTITY python-docs-size "5,831 KB">
+<!ENTITY python-docs-md5 "c4637cf2a9a6ebb8c5e9dc8ff13fb4cb">
+<!ENTITY python-docs-size "6,077 KB">
 
 <!ENTITY readline-version "7.0">