Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 343c80bf0cdaf5ff0833c0e889c2aefefc96d536)
+++ chapter01/changelog.xml	(revision 407d3368f04dfefcccdd8c6cc8336b35387cf5ce)
@@ -20,29 +20,26 @@
 <listitem><para>Upgraded to:</para>
 <itemizedlist>
-<listitem><para>automake-1.9.1</para></listitem>
-<listitem><para>bash-3.0</para></listitem>
-<listitem><para>binutils-2.15.91.0.2</para></listitem>
-<listitem><para>bison-1.875a</para></listitem>
-<listitem><para>expect-5.42.1</para></listitem>
-<listitem><para>file-4.10</para></listitem>
-<listitem><para>flex-2.5.31</para></listitem>
-<listitem><para>gawk-3.1.4</para></listitem>
-<listitem><para>gcc-3.4.1</para></listitem>
-<listitem><para>glibc-2.3.4-20040701</para></listitem>
-<listitem><para>groff-1.19.1</para></listitem>
-<listitem><para>lfs-bootscripts-2.2.2</para></listitem>
-<listitem><para>libtool-1.5.8</para></listitem>
-<listitem><para>linux-2.6.8.1</para></listitem>
-<listitem><para>m4-1.4.2</para></listitem>
-<listitem><para>man-1.5o</para></listitem>
-<listitem><para>man-pages-1.67</para></listitem>
-<listitem><para>perl-5.8.5</para></listitem>
-<listitem><para>procps-3.2.3</para></listitem>
-<listitem><para>psmisc-21.5</para></listitem>
-<listitem><para>sed-4.1.2</para></listitem>
-<listitem><para>tar-1.14</para></listitem>
-<listitem><para>tcl-8.4.7</para></listitem>
-<listitem><para>util-linux-2.12b</para></listitem>
-<listitem><para>vim-6.3</para></listitem>
+<listitem><para>Automake 1.9.3</para></listitem>
+<listitem><para>Binutils 2.15.92.0.2</para></listitem>
+<listitem><para>File 4.12</para></listitem>
+<listitem><para>Findutils 4.2.3</para></listitem>
+<listitem><para>GCC 3.4.2</para></listitem>
+<listitem><para>Glibc 20041011</para></listitem>
+<listitem><para>Grep 2.5.1a</para></listitem>
+<listitem><para>Iana-Etc 1.03</para></listitem>
+<listitem><para>Iproute2 2.6.9-041019</para></listitem>
+<listitem><para>LFS-Bootscripts 2.2.3</para></listitem>
+<listitem><para>Libtool 1.5.10</para></listitem>
+<listitem><para>Linux 2.6.9</para></listitem>
+<listitem><para>Linux-libc-headers 2.6.9.1</para></listitem>
+<listitem><para>Man 1.5o1</para></listitem>
+<listitem><para>Man-pages 1.70</para></listitem>
+<listitem><para>Module-init-tools 3.1</para></listitem>
+<listitem><para>Procps 3.2.4</para></listitem>
+<listitem><para>Shadow 4.0.6</para></listitem>
+<listitem><para>Tcl 8.4.8</para></listitem>
+<listitem><para>Udev 046</para></listitem>
+<listitem><para>Util-linux 2.12i</para></listitem>
+<listitem><para>Zlib 1.2.2</para></listitem>
 </itemizedlist>
 </listitem>
@@ -50,25 +47,9 @@
 <listitem><para>Added:</para>
 <itemizedlist>
-<listitem><para>bash-3.0-display_wrap-1.patch</para></listitem>
-<listitem><para>coreutils-5.2.1-suppress_hostname_uptime_kill_su-1.patch</para></listitem>
-<listitem><para>flex-2.5.31-debian_fixes-2.patch</para></listitem>
-<listitem><para>gcc-3.4.1-linkonce-1.patch</para></listitem>
-<listitem><para>inetutils-1.4.2-kernel_headers-1.patch</para></listitem>
-<listitem><para>iproute2-2.6.8-040823</para></listitem>
-<listitem><para>iproute2-2.6.8_040823-remove_db-1.patch</para></listitem>
-<listitem><para>linux-libc-headers-2.6.8.1</para></listitem>
-<listitem><para>module-init-tools-3.0</para></listitem>
-<listitem><para>readline-5.0</para></listitem>
-<listitem><para>readline-5.0-display_wrap-1.patch</para></listitem>
-<listitem><para>sysklogd-1.4.1-kernel_headers-1.patch</para></listitem>
-<listitem><para>sysklogd-1.4.1-signal-1.patch</para></listitem>
-<listitem><para>sysvinit-2.85-proclen-1.patch</para></listitem>
-<listitem><para>texinfo-4.7-segfault-1.patch</para></listitem>
-<listitem><para>udev-030</para></listitem>
-<listitem><para>udev-config-1.permissions</para></listitem>
-<listitem><para>udev-config-1.rules</para></listitem>
-<listitem><para>util-linux-2.12b-sfdisk-2.patch</para></listitem>
-<listitem><para>vim-6.3 language files</para></listitem>
-<listitem><para>zlib-1.2.1-security-1.patch</para></listitem>
+<listitem><para>bash-3.0-fixes-1.patch</para></listitem>
+<listitem><para>bash-3.0-avoid_WCONTINUED-1.patch</para></listitem>
+<listitem><para>Hotplug 2004_09_23</para></listitem>
+<listitem><para>Libol 0.3.14</para></listitem>
+<listitem><para>Syslog-ng 1.6.5</para></listitem>
 </itemizedlist>
 </listitem>
@@ -76,520 +57,41 @@
 <listitem><para>Removed:</para>
 <itemizedlist>
-<listitem><para>bison-1.875-attribute.patch</para></listitem>
-<listitem><para>coreutils-5.2.1-hostname-1.patch</para></listitem>
-<listitem><para>ed-0.2</para></listitem>
-<listitem><para>gcc-2.95.3</para></listitem>
-<listitem><para>kbd-1.12-more-programs-1.patch</para></listitem>
-<listitem><para>modutils-2.4.25</para></listitem>
-<listitem><para>net-tools-1.60</para></listitem>
-<listitem><para>net-tools-1.60-miitool-gcc33-1.patch</para></listitem>
-<listitem><para>procinfo-18</para></listitem>
+<listitem><para>bash-3.0-display_wrap-1.patch</para></listitem>
+<listitem><para>Sysklogd 1.4.1</para></listitem>
+<listitem><para>util-linux-2.12b-sfdisk-1.patch</para></listitem>
+<listitem><para>zlib-1.2.1-security-1.patch</para></listitem>
 </itemizedlist>
 </listitem>
 
-<listitem><para>September 30th, 2004 [gerard]: Minor textual edits.
-Added page to explain bootable CD included with the printed
-book.</para></listitem>
+<listitem><para>December 5, 2004 [jeremy]: Added the DOCBOOKTOMAN parameter
+to Module-init-utils - without this, compilation fails.  Thanks Boris Buegling</para></listitem>
 
-<listitem><para>September 29th, 2004 [matt]: chapter08/kernel - Removed
-redundant comment regarding hotplug configuration (fixes bug 914 - Alexander E.
-Patrakov).</para></listitem>
+<listitem><para>December 2, 2004 [jeremy]: Removed the old display_wrap bash
+patch, in favor of the newer fixes patch, and added the avoid_WCONTINUED
+patch as well</para></listitem>
 
-<listitem><para>September 28th, 2004 [matt]: chapter06/texinfo - Added a
-description for the texinfo segfault patch (fixes bug 917 - Randy McMurchy).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: chapter06/zlib - Added a
-description for the zlib security patch (fixes bug 916 - Randy McMurchy).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: chapter06/glibc - glibcbug isn't
-installed in recent versions of glibc (bug 915 - Randy McMurchy).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: chapter05/introduction - we never
-explain how to unpack a tarball (Jeremy Huntwork).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: Minor correction - test
-suites are simply not mandatory in chapter 5, rather than not being recommended
-(bug 913 - Randy McMurchy).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: Added description of libexpect, and
-corrected the version number of the installed file (bug 912 - Randy McMurchy).
+<listitem><para>December 2, 2004 [jeremy]: Upgraded to TCL 8.4.8, Grep 2.5.1a
+Util-linux 2.12i, Iana-etc 1.03, File 4.12, Module-init-tools 3.1, Procps 3.2.4
 </para></listitem>
 
-<listitem><para>September 28th, 2004 [matt]: Corrected the command used
-to verify the status of the hardware clock (Anderson Lizardo)</para></listitem>
+<listitem><para>December 2, 2004 [jeremy]: Migrated change from unstable to
+build Glibc against sanitized linux-libc-headers instead of raw kernel headers,
+bringing us more in line with what the kernel developers think should be
+happening.</para></listitem>
 
-<listitem><para>September 28th, 2004 [matt]: Added <quote>su</quote> to
-the list of files installed by shadow</para></listitem>
+<listitem><para>December 1, 2004 [jeremy]: Dropped Udev from being built in
+Chapter 5, in favor of creating a minimal set of devices at the beginning
+of Chapter 6.  All devices are created after the installation of Udev near
+the end of Chapter 6</para></listitem>
 
-<listitem><para>September 28th, 2004 [matt]: Remove potential confusion caused
-by incorrect text in replaceable tags (bug 906 - Igor Zivkovic).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: Small typo correction (Igor
-Zivkovic).</para></listitem>
-
-<listitem><para>September 28th, 2004 [matt]: Added a note regarding a known
-failure in the GRUB testsuite</para></listitem>
-
-<listitem><para>September 23rd, 2004 [jeremy]: Changed the util-linux patch to
-the new, corrected fix, courtesy of Jim Gifford and Greg Schafer</para></listitem>
-
-<listitem><para>September 13th, 2004 [jeremy]: Added the security patch for
-Zlib</para></listitem>
-
-<listitem><para>September 13th, 2004 [jeremy]: Added the patch to resolve a
-segfault problem in the info program.</para></listitem>
-
-<listitem><para>September 13th, 2004 [jeremy]: Replaced the util-linux sed
-with a patch file instead.</para></listitem>
-
-<listitem><para>September 12th, 2004 [manuel]: Fixed some URLs.</para></listitem>
-
-<listitem><para>September 10th, 2004 [manuel]: Appendix{a,b} - Changes in
-the XML, XSL and CSS code to do a better output.</para></listitem>
-
-<listitem><para>September 9th, 2004 [gerard]: Added missing colon to
-group name in Chapter 6-Coreutils used by the test
-suite.</para></listitem>
-
-<listitem><para>September 9th, 2004 [manuel]: Added support to can have
-different contextual phrases for HTML or PDF output.</para></listitem>
-
-<listitem><para>September 9th, 2004 [manuel]: Chapter 6 - Moved the para
-about the missing /etc/fstab from kernfs.xml to devices.xml.</para></listitem>
-
-<listitem><para>September 4th, 2004 [manuel]: Tags corrections.</para></listitem>
-
-<listitem><para>August 31th, 2004 [manuel]: stylesheets. Several changes
-to improve HTML and PDF output. Some XML tags changes related with
-the stylesheets changes.</para></listitem>
-
-<listitem><para>August 30th, 2004 [matt]: chapter06/util-linux.xml.
--funit-at-a-time is implied by -O2, and it was this specific option that was
-causing the runtime problems with sfdisk.  Instead of dropping to -O1
-optimisation, we simply prevent the problematic optimisation by
-specifying -fno-unit-at-a-time.</para></listitem>
-
-<listitem><para>August 30th, 2004 [matt]: chapter06/udev.xml.  Renumber udev
-permissions and rules files to allow easier customisation.  Fixes bug 887.
-</para></listitem>
-
-<listitem><para>August 30th, 2004 [matt]: Minor typo corrections in
-appendixb/acronymlist.xml (Tero Tamminen)</para></listitem>
-
-<listitem><para>August 30th, 2004 [matt]: Drop optimisation level of util-linux
-from O2 to O1, so as sfdisk works properly when compiled with gcc-3.4.1</para>
-</listitem>
-
-<listitem><para>August 29th, 2004 [matt]: Upgraded to
-linux-libc-headers-2.6.8.1</para></listitem>
-
-<listitem><para>August 29th, 2004 [matt]: Added
-gcc-3.4.1-linkonce-1.patch, so as our toolchain can compile Mozilla and
-kdegraphics (to name but 2 packages) once again.  See
-<ulink url="http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16625"/> for more
-details.</para></listitem>
-
-<listitem><para>August 29th, 2004 [gerard]: Added Appendix B -
-Acronyms.</para></listitem>
-
-<listitem><para>August 29th, 2004 [gerard]: Moved acknowledgements to
-Appendix A.</para></listitem>
-
-<listitem><para>August 29th, 2004 [matt]: Upgraded to autoconf-1.9.1,
-gawk-3.1.4, iproute2-2.6.8-040823, linux-2.6.8.1, m4-1.4.2, man-1.5o,
-procps-3.2.3 (removing unnecessary <command>rm</command> command,
-sed-4.1.2 and util-linux-2.12b (removing kernel-headers patch as the issue has
-been fixed upstream).</para></listitem>
-
-<listitem><para>August 29th, 2004 [gerard]: Added missing SBU for
-readline.</para></listitem>
-
-<listitem><para>August 29th, 2004 [gerard]: Completed second global
-textual edits.</para></listitem>
-
-<listitem><para>August 17th, 2004 [gerard]: Added Bash and Readline
-Display Wrap patches.</para></listitem>
-
-<listitem><para>August 8th, 2004 [gerard]: Upgraded to
-iproute2-2.6.8-ss040730.</para></listitem>
-
-<listitem><para>August 8th, 2004 [gerard]: Added notes regarding
-missing test suites for diffutils, ncurses, patch, utils-linux and
-udev. Added note to chapter05/perl not to run the test
-suite.</para></listitem>
-
-<listitem><para>August 7th, 2004 [gerard]: Completed global textual
-edits.</para></listitem>
-
-<listitem><para>August 7th, 2004 [gerard]: Upgraded to
-expect-5.42.1.</para></listitem>
-
-<listitem><para>August 7th, 2004 [gerard]: hostname binary moved to
-/bin as well.</para></listitem>
-
-<listitem><para>August 3rd, 2004 [jim]: Made suggested change to the
-home location of pt_chown</para></listitem>
-
-<listitem><para>July 30, 2004 [jeremy]: Upgraded to automake-1.9, man-1.5n,
-file-4.10, bash-3.0, perl-5.8.5, readline-5.0, tcl-8.4.7, binutils-2.15.91.0.2
-</para></listitem>
-
-<listitem><para>July 22, 2004 [manuel]: Prologue: Added a para about
-replaceable text</para></listitem>
-
-<listitem><para>July 20, 2004 [jeremy]: Corrected the double-creation of /var/tmp (Kris van Rens and others)</para></listitem>
-
-<listitem><para>July 19, 2004 [matt]: Upgraded to udev-030.</para></listitem>
-
-<listitem><para>July 19, 2004 [matt]: Upgraded to procps-3.2.2.</para></listitem>
-
-<listitem><para>July 16, 2004 [matt]: Install iproute2 to /sbin to
-comply with the FHS and to allow the bootscripts to run even if /usr is
-mounted on a separate filesystem. (Oliver Brakmann)</para></listitem>
-
-<listitem><para>July 15, 2004 [matt]: Fixed various networking inaccuracies
-(Kevin P. Fleming)</para></listitem>
-
-<listitem><para>July 14, 2004 [matt]: chapter07/network.xml - A couple
-of minor fixes for the network configuration</para></listitem>
-
-<listitem><para>July 14, 2004 [matt]: chapter06/iproute2.xml - Fixed
-remaining reference to net-tools</para></listitem>
-
-<listitem><para>July 14, 2004 [matt]: chapter06/udev.xml - Explained udevdir
-option</para></listitem>
-
-<listitem><para>July 12, 2004 [matt]: Network bootscripts now support directory
-based configurations.</para></listitem>
-
-<listitem><para>July 12, 2004 [matt]: Upgraded to lfs-bootscripts-2.2.0.</para>
-</listitem>
-
-<listitem><para>July 12, 2004 [matt]: Swapped iproute2 in for net-tools (kudos
-and many thanks to Jim Gifford)</para></listitem>
-
-<listitem><para>July 7, 2004 [matt]: Removed hotplug.</para></listitem>
-
-<listitem><para>July 6, 2004 [matt]: Upgraded to sed-4.1.1.</para></listitem>
-
-<listitem><para>July 5, 2004 [alexander]: Updated GCC testresults
-link.</para></listitem>
-
-<listitem><para>July 3, 2004 [winkie]: Upgraded to Glibc 2.3.4-20040701.</para>
-</listitem>
-
-<listitem><para>July 2, 2004 [winkie]: Upgraded to GCC 3.4.1.</para></listitem>
-
-<listitem><para>July 2, 2004 [winkie]: Updated the Udev permissions
-configuration to include the nvidia kernel modules.</para></listitem>
-
-<listitem><para>June 29, 2004 [alexander]: Explained the benefits of setting
-LC_ALL properly.</para></listitem>
-
-<listitem><para>June 28, 2004 [winkie]: Upgraded to Udev 028, and dropped the
-Udev permissions patch.</para></listitem>
-
-<listitem><para>June 28, 2004 [winkie]: Upgraded to LFS-Bootscripts 2.1.2.
-</para></listitem>
-
-<listitem><para>June 27, 2004 [matt]: Moved glibc test result discussion to
-chapter 6 (where it is actually recommended to be run).  Also made it clearer
-that the tests in chapter 5 are optional, as opposed to
-<emphasis>not recommended</emphasis></para></listitem>
-
-<listitem><para>June 26, 2004 [winkie]: Upgraded to GCC 3.4.1-20040625.</para>
-</listitem>
-
-<listitem><para>June 26, 2004 [matt]: Added descriptions for udev package
-contents (Alexander Patrakov)</para></listitem>
-
-<listitem><para>June 24, 2004 [winkie]: Upgraded to Linux-Libc-Headers 2.6.7.0
-and updated the Net-tools GCC 3.4 patch.</para></listitem>
-
-<listitem><para>June 24, 2004 [alexander]: Wordings changed on the hotplug
-page</para></listitem>
-
-<listitem><para>June 24, 2004 [alexander]: Removed hotplug isapnp patch for a
-while until bugs are fixed</para></listitem>
-
-<listitem><para>June 23, 2004 [matt]: Removed the note regarding the use of
-GRUB's --no-mem-option</para></listitem>
-
-<listitem><para>June 23, 2004 [matt]: Removed dpasswd from shadow's list of
-installed files.</para></listitem>
-
-<listitem><para>June 23, 2004 [winkie]: Upgraded to LFS-Bootscripts 2.1.2-pre2.
-</para></listitem>
-
-<listitem><para>June 21, 2004 [winkie]: Added the Udev permissions patch to fix
-a regression from version 023 (really nasty bug, too).</para></listitem>
-
-<listitem><para>June 20, 2004 [matt]: chapter07 - console.  Add a note regarding
-the screen font not being set automatically when the console script isn't run.
-(Alexander Patrakov)</para></listitem>
-
-<listitem><para>June 20, 2004 [matt]: chapter03 - packages.  Point people at the
-FTP mirrors and GnuPG.</para></listitem>
-
-<listitem><para>June 19, 2004 [winkie]: Modified Flex installation to only touch
-the flex.1 manual page, since that's the only one that exists.</para></listitem>
-
-<listitem><para>June 19, 2004 [matt]: chapter05 - hostreqs.  Provide clearer
-information regarding determining whether the host kernel is suitable for
-passing glibcs test suite</para></listitem>
-
-<listitem><para>June 19, 2004 [matt]: chapter06 - creatingdirs.  Use
-`install -d` instead of `mkdir` (fixes bug #821)</para></listitem>
-
-<listitem><para>June 19, 2004 [matt]: chapter04 - addinguser.  Make the lfs user
-a member of the lfs group, in case hosts add a new user to a non-existent gid by
-default (which causes the glibc test suite to fail). Fixes bug #856.</para>
-</listitem>
-
-<listitem><para>June 19, 2004 [matt]: chapter07 - console &amp; chapter 08 -
-kernel.  Improved wording and re-introduced the option for compiling the keymap
-directly into the kernel.</para></listitem>
-
-<listitem><para>June 19, 2004 [matt]: chapter06 - e2fsprogs, brought
-instructions inline with upstream recommendations.</para></listitem>
-
-<listitem><para>June 19, 2004 [manuel]: Applied the Index entries for Hotplug
-and Linux-Libc-Headers. Tags corrections.</para></listitem>
-
-<listitem><para>June 18, 2004 [winkie]: Instead of using the udev binary, use
-the udev daemon instead.</para></listitem>
-
-<listitem><para>June 17, 2004 [matt]: Added the sed permissions patch.</para>
-</listitem>
-
-<listitem><para>June 17, 2004 [matt]: Clarify that a gcc-3.x compiled 2.6.x
-kernel is required on the host.</para></listitem>
-
-<listitem><para>June 16, 2004 [winkie]: Upgraded to Linux 2.6.7 and dropped the
-FPU patch.</para></listitem>
-
-<listitem><para>June 16, 2004 [alexander]: Removed the fileencodings line due to
-a bug which causes Vim to default to UTF-8.</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Corrected installation of Readline.
-</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Recreate Udev's entry in /etc/hotplug.d,
-since it's not correct for our purposes by default.</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Dropped the Udev patch in favor copying
-the configuration file(s) to /etc/udev after installation.</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Upgraded to Sed 4.1.</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Upgraded to Udev 027.</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Upgraded to LFS-Bootscripts 2.1.2-pre1.
-</para></listitem>
-
-<listitem><para>June 15, 2004 [winkie]: Patched the kernel sources so that it
-defaults to <filename>/bin/true</filename> as the hotplug manager.</para></listitem>
-
-<listitem><para>June 14, 2004 [matt]: Removed GNU/Linux in line with common
-usage regarding the recurring GNU/Linux vs. Linux debate (Larry Lawrence).
-</para></listitem>
-
-<listitem><para>June 14, 2004 [winkie]: Upgraded to GRUB 0.95. Removed the
-<quote>--no-mem-option</quote> argument from GRUB's
-<filename>menu.lst</filename>, since it is now the default.</para></listitem>
-
-<listitem><para>June 13, 2004 [alexander]: Security: added
-linux-2.6.6-fpu-1.patch</para></listitem>
-
-<listitem><para>June 12, 2004 [jeremy]: Chapter 6 - Hotplug - corrected the
-name of the bogus deps patch</para></listitem>
-
-<listitem><para>June 12, 2004 [alexander]: British people speak English but
-need loadkeys and setfont (reported by Dave Mascall on IRC). Corrected the
-text on the console page to account for this</para></listitem>
-
-<listitem><para>June 12, 2004 [alexander]: Re-added the <quote>background</quote> option to
-/etc/vimrc, since it has some educational value. Put this option inside an <quote>if</quote>
-statement because it applies to some, not all, terminals</para></listitem>
-
-<listitem><para>June 11, 2004 [winkie]: Dropped hackish GRUB instructions in
-favor of a patch from upstream.</para></listitem>
-
-<listitem><para>June 11, 2004 [winkie]: Force Readline to link against Ncurses.
-</para></listitem>
-
-<listitem><para>June 11, 2004 [alexander]: Added sysvinit-2.85-proclen-1.patch
-</para></listitem>
-
-<listitem><para>June 10, 2004 [alexander]: Reverted the bogus change of package
-order. Removed the <quote>background</quote> line from /etc/vimrc because it matches the
-default on Linux console</para></listitem>
-
-<listitem><para>June 10, 2004 [alexander]: Added a command to autodetect the
-character set of files being edited to /etc/vimrc
-</para></listitem>
-
-<listitem><para>June 10, 2004 [alexander]: Added vim language files. Moved
-vim after gettext in order for them to work
-</para></listitem>
-
-<listitem><para>June 9, 2004 [jeremy]: Upgraded to M4-1.4.1, after 9 years!
-</para></listitem>
-
-<listitem><para>June 9, 2004 [winkie]: Upgraded to Linux-Libc-Headers 2.6.6.0.
-</para></listitem>
-
-<listitem><para>June 9, 2004 [winkie]: Updated locations of the Glibc &amp; GCC
-tarballs.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Upgraded to Udev 026.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Dropped Net-tools patch for kernel
-headers in favor of a simple sed.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Normalized <quote>sed</quote> usage
-throughout the book.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Use the
-<quote>gcc --print-file specs</quote> command to determine the location of the
-<quote>specs</quote> file.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Updated patch names to match those used
-by the patches project.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Globally changed <quote>DejaGnu</quote>
-to <quote>DejaGNU</quote>.</para></listitem>
-
-<listitem><para>June 7, 2004 [winkie]: Upgraded to Vim 6.3.</para></listitem>
-
-<listitem><para>June 2, 2004 [matt]: Prologue - acknowledgments, Added Thomas
-Reitelbach as the German translator</para></listitem>
-
-<listitem><para>June 2nd, 2004 [winkie]: Upgraded to GCC 3.4.1-20040601. This
-release fixes bugs with reference to both GCC 3.4.0 and GCC 3.4.1-20040517. Also
-upgraded to Glibc 2.3.4-20040529 which includes lots of fixes for non-x86
-architectures.</para></listitem>
-
-<listitem><para>June 1st, 2004 [winkie]: Upgraded to Binutils 2.15.91.0.1. This
-release provides the <quote>-z relro</quote> option.</para></listitem>
-
-<listitem><para>June 1st, 2004 [winkie]: Inconsequential wrapping fixes.</para>
-</listitem>
-
-<listitem><para>May 29, 2004 [alexander]: Mentioned the hotplug+udev+modules
-problem. Removed the effectively dead link to the Kernel
-HOWTO.</para></listitem>
-
-<listitem><para>May 29, 2004 [alexander]: Corrected usbfs line in
-/etc/fstab.</para></listitem>
-
-<listitem><para>May 29, 2004 [alexander]: New LFS bootscripts already come
-with the /etc/sysconfig/console file. Corrected the text.</para></listitem>
-
-<listitem><para>May 25, 2004 [jeremy]: Chapter 6 - Upgraded psmisc to
-21.5.</para></listitem>
-
-<listitem><para>May 25, 2004 [jeremy]: Corrected download location for the
-lfs-bootscripts package</para></listitem>
-
-<listitem><para>May 24, 2004 [jeremy]: Upgraded to libc-headers 2.6.5.2</para>
-</listitem>
-
-<listitem><para>May 23, 2004 [jeremy]: Chapter 6 - Vim - added an option to the
-vimrc config file</para></listitem>
-
-<listitem><para>May 23th, 2004 [alexander]: Don't list the initscript in the
-contents of the Hotplug package. The reason is that we use winkie's
-replacement script from LFS-Bootscripts.</para></listitem>
-
-<listitem><para>May 23th, 2004 [alexander]: Fixed XML validation
-error.</para></listitem>
-
-<listitem><para>May 20th, 2004 [winkie]: Moved group <quote>usb</quote> to GID
-14, instead of 15.</para></listitem>
-
-<listitem><para>May 20th, 2004 [winkie]: Dropped Hotplug's
-<quote>cosmetic</quote> patch in favor of the script from LFS-Bootscripts and
-some general textual/rendering cleanups.</para></listitem>
-
-<listitem><para>May 20th, 2004 [winkie]: Point to the correct GCC patches.
-</para></listitem>
-
-<listitem><para>May 20th, 2004 [alexander]: Added Hotplug 2004_04_01.
-</para></listitem>
-
-<listitem><para>May 19th, 2004 [winkie]: Change permissions of /dev/random to
-0444 instead of 0666.</para></listitem>
-
-<listitem><para>May 19th, 2004 [winkie]: Upgraded to Binutils 2.15 &amp; GCC
-3.4.1-20040517.</para></listitem>
-
-<listitem><para>May 18th, 2004 [winkie]: Upgraded to LFS-Bootscripts 2.1.1.
-</para></listitem>
-
-<listitem><para>May 16th, 2004 [winkie]: Upgraded to Automake-1.8.5.</para></listitem>
-
-<listitem><para>May 15th, 2004 [winkie]: Upgraded to LFS-Bootscripts 2.1.1-pre2.
-</para></listitem>
-
-<listitem><para>May 14th, 2004 [winkie]: Upgraded to Groff 1.19.1.</para></listitem>
-
-<listitem><para>May 14th, 2004 [alexander]: Several textual changes on Vim
-page.</para></listitem>
-
-<listitem><para>May 12th, 2004 [winkie]: Apply patch to assure Coreutils doesn't
-install any binaries that we don't need/want.</para></listitem>
-
-<listitem><para>May 12th, 2004 [winkie]: Don't pass <quote>-default</quote> to
-Man's configure, since it's not needed anymore.</para></listitem>
-
-<listitem><para>May 12th, 2004 [winkie]: Shorten the <quote>sed</quote> used
-on Gzip's <filename>gzexe.in</filename> file.</para></listitem>
-
-<listitem><para>May 12th, 2004 [winkie]: Fixed Coreutils test suite execution.
-</para></listitem>
-
-<listitem><para>May 11th, 2004 [winkie]: Don't build the PCH header for
-libstdc++ in Chapter 5 -- it's just a waste of space.</para></listitem>
-
-<listitem><para>May 11th, 2004 [winkie]: Upgraded to Glibc 2.3.4-20040510 and
-Tar 1.14.</para></listitem>
-
-<listitem><para>May 10th, 2004 [winkie]: Chapter 8 - Upgraded to Linux 2.6.6.
-</para></listitem>
-
-<listitem><para>May 7th, 2004 [winkie]: Chapter 6 - When configuring Vim, pass
-the <quote>--enable-multibyte</quote> option.</para></listitem>
-
-<listitem><para>May 6th, 2004 [winkie]: Chapter 6 - Add Readline installation
-and use it when building Bash.</para></listitem>
-
-<listitem><para>May 6th, 2004 [winkie]: Added Alexander Patrakov's I18n patch.
-</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 6 - Create and use the
-<quote>utmp</quote> group.</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 7 - Upgraded to LFS-Bootscripts
-2.1.0 and modify the book to work with it.</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 6 - Install the
-<quote>passwd</quote> binary in /bin instead of /usr/bin.</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 6 - Switch the uname patch we
-use, so that we get correct results.</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 8 - Use the full LFS version for
-the GRUB title.</para></listitem>
-
-<listitem><para>May 4th, 2004 [winkie]: Chapter 5 &amp; 6 - Use new patch
-naming <quote>standard</quote>.</para></listitem>
-
-<listitem><para>May 3rd, 2004 [winkie]: Merged BE-LFS content - thanks to Ron
-and Jason Scott for the help they gave to BE-LFS before integration.</para></listitem>
+<listitem><para>December 1, 2004 [jeremy]: Upgraded to Automake 1.9.3,
+Binutils 2.15.92.0.2, Findutils 4.2.3, GCC 3.4.2, Glibc 20041011, Iana-Etc 1.02
+Iproute2 2.6.9-041019, LFS-Bootscripts 2.2.3, Libtool 1.5.10, Linux 2.6.9
+Linux-libc-headers 2.6.9.1, Man 1.5o1, Man-pages 1.70, Shadow 4.0.6,
+Udev 046, Zlib 1.2.2, Hotplug 2004_09_23, Libol 0.3.14, Syslog-ng 1.6.5</para></listitem>
 
 </itemizedlist>
 
-<para>Release of version 5.1.1 on June 6th, 2004.</para>
+<para>Branch frozen for LFS 6.0 as of October 10, 2004</para>
 
 </sect1>