Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter01/changelog.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -44,4 +44,9 @@
       <itemizedlist>
         <listitem>
+          <para>[xry111] - Rename <command>bash</command>
+          <literal>+h</literal> directives in chroot.  Fixes
+          <ulink url="&lfs-ticket-root;4998">#4998</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[xry111] - Update to man-db-2.10.0.  Fixes
           <ulink url="&lfs-ticket-root;5002">#5002</ulink>.</para>
Index: chapter04/settingenviron.xml
===================================================================
--- chapter04/settingenviron.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter04/settingenviron.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -65,7 +65,9 @@
   the shell will always search the <envar>PATH</envar> when a program is to
   be run. As such, the shell will find the newly compiled tools in
-  <filename class="directory">$LFS/tools</filename> as soon as they are
-  available without remembering a previous version of the same program in a
-  different location.</para>
+  <filename class="directory">$LFS/tools/bin</filename> as soon as they are
+  available without remembering a previous version of the same program
+  provided by the host distro, in
+  <filename class='directory'>/usr/bin</filename> or
+  <filename class='directory'>/bin</filename>.</para>
       </listitem>
     </varlistentry>
Index: chapter07/chroot.xml
===================================================================
--- chapter07/chroot.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter07/chroot.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -24,5 +24,5 @@
     PS1='(lfs chroot) \u:\w\$ ' \
     PATH=/usr/bin:/usr/sbin     \
-    /bin/bash --login +h</userinput></screen>
+    /bin/bash --login</userinput></screen>
 
   <para>The <parameter>-i</parameter> option given to the <command>env</command>
@@ -45,8 +45,5 @@
   <para>Notice that <filename class="directory">/tools/bin</filename> is not
   in the <envar>PATH</envar>. This means that the cross toolchain will no longer be
-  used in the chroot environment. This occurs when the shell does not
-  <quote>remember</quote> the locations of executed binaries&mdash;for this
-  reason, hashing is switched off by passing the <parameter>+h</parameter> option
-  to <command>bash</command>.</para>
+  used in the chroot environment.</para>
 
   <para>Note that the <command>bash</command> prompt will say
Index: chapter07/createfiles.xml
===================================================================
--- chapter07/createfiles.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter07/createfiles.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -185,12 +185,5 @@
   work:</para>
 
-<screen role="nodump"><userinput>exec /usr/bin/bash --login +h</userinput></screen>
-
-  <para>Note the use of the <parameter>+h</parameter> directive. This tells
-  <command>bash</command> not to use its internal path hashing. Without this
-  directive, <command>bash</command> would remember the paths to binaries it has
-  executed. To ensure the use of the newly compiled binaries as soon as they are
-  installed, the <parameter>+h</parameter> directive will be used for the duration
-  of this and the next chapter.</para>
+<screen role="nodump"><userinput>exec /usr/bin/bash --login</userinput></screen>
 
   <para>The <command>login</command>, <command>agetty</command>, and
Index: chapter08/bash.xml
===================================================================
--- chapter08/bash.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter08/bash.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -95,11 +95,5 @@
     currently being executed):</para>
 
- <screen role="nodump"><userinput>exec /usr/bin/bash --login +h</userinput></screen>
-
-    <note>
-      <para>The parameters used make the <command>bash</command>
-      process an interactive login shell and continues to disable hashing so
-      that new programs are found as they become available.</para>
-    </note>
+ <screen role="nodump"><userinput>exec /usr/bin/bash --login</userinput></screen>
 
   </sect2>
Index: chapter08/revisedchroot.xml
===================================================================
--- chapter08/revisedchroot.xml	(revision 69c4524b6df4f5ac7b87e868afe55569b61752a8)
+++ chapter08/revisedchroot.xml	(revision 490dc15317e18e4f87d2a2555adc6ce2c2a774ba)
@@ -14,26 +14,4 @@
 
 <screen><userinput>rm -rf /tmp/*</userinput></screen>
-
-  <para>Now log out and reenter the chroot environment with an updated
-  chroot command.  From now on, use this updated chroot command any time
-  you need to reenter the chroot environment after exiting:</para>
-
-<screen role="nodump"><userinput>logout
-
-chroot "$LFS" /usr/bin/env -i          \
-    HOME=/root TERM="$TERM"            \
-    PS1='(lfs chroot) \u:\w\$ '        \
-    PATH=/usr/bin:/usr/sbin            \
-    /usr/bin/bash --login</userinput></screen>
-
-  <para>Here the <parameter>+h</parameter> option is not used anymore, since
-  all the previous programs have been replaced: hashing is therefore
-  possible.</para>
-
-  <para>If the virtual kernel file systems have been unmounted, either manually
-  or through a reboot, ensure that the virtual kernel file systems are mounted
-  when reentering the chroot. This process was explained in <xref
-  linkend="ch-tools-bindmount"/> and <xref
-  linkend="ch-tools-kernfsmount"/>.</para>
 
   <para>There are also several files installed in the /usr/lib and /usr/libexec