Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 9317498c0347ee924ca81ae57f13b74ccb9d373d)
+++ appendices/dependencies.xml	(revision 491de3316a26df7cb2182f0f8b389fb9174ba125)
@@ -2396,5 +2396,5 @@
         <segtitle>&testsuites;</segtitle>
         <seglistitem>
-          <seg>None</seg>
+          <seg><ulink url="&blfs-book;general/cmake.html">cmake</ulink></seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 9317498c0347ee924ca81ae57f13b74ccb9d373d)
+++ chapter01/changelog.xml	(revision 491de3316a26df7cb2182f0f8b389fb9174ba125)
@@ -42,4 +42,42 @@
 
     <listitem>
+      <para>2024-04-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to setuptools-69.5.1. Fixes
+          <ulink url='&lfs-ticket-root;5478'>#5478</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python3-3.12.3. Fixes
+          <ulink url='&lfs-ticket-root;5476'>#5476</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to openssl-3.3.0. Fixes
+          <ulink url='&lfs-ticket-root;5475'>#5475</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ninja-1.12.0. Fixes
+          <ulink url='&lfs-ticket-root;5477'>#5477</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.12.1. Fixes
+          <ulink url='&lfs-ticket-root;5474'>#5474</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.8.6. Fixes
+          <ulink url='&lfs-ticket-root;5472'>#5472</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20240412. Addresses
+          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-9.1.0330. Addresses
+          <ulink url='&lfs-ticket-root;4500'>#4500</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2024-03-31</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 9317498c0347ee924ca81ae57f13b74ccb9d373d)
+++ chapter01/whatsnew.xml	(revision 491de3316a26df7cb2182f0f8b389fb9174ba125)
@@ -177,7 +177,7 @@
       <para>Make-&make-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-DB-&man-db-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Man-pages-&man-pages-version;</para>
@@ -198,10 +198,10 @@
       <para>Ncurses-&ncurses-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Ninja-&ninja-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>OpenSSL-&openssl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Patch-&patch-version;</para>
@@ -219,7 +219,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Python-&python-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
Index: chapter08/ninja.xml
===================================================================
--- chapter08/ninja.xml	(revision 9317498c0347ee924ca81ae57f13b74ccb9d373d)
+++ chapter08/ninja.xml	(revision 491de3316a26df7cb2182f0f8b389fb9174ba125)
@@ -83,8 +83,12 @@
     </variablelist>
 
+    <para>The package tests cannot run in the chroot environment. They require 
+    require <ulink url="&blfs-book;general/cmake.html">cmake</ulink>.</para>
+<!--
     <para>To test the results, issue:</para>
 
 <screen><userinput remap="test">./ninja ninja_test
-./ninja_test --gtest_filter=-SubprocessTest.SetWithLots</userinput></screen>
+./ninja_test - -gtest_filter=-SubprocessTest.SetWithLots</userinput></screen>
+-->
 
     <para>Install the package:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9317498c0347ee924ca81ae57f13b74ccb9d373d)
+++ packages.ent	(revision 491de3316a26df7cb2182f0f8b389fb9174ba125)
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20240318">
-<!ENTITY iana-etc-size "589 KB">
+<!ENTITY iana-etc-version "20240412">
+<!ENTITY iana-etc-size "590 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "8cd6cf31cfd5fd4c4efca61722eb9f74">
+<!ENTITY iana-etc-md5 "d53e2729bb4f3ef9f5cdc23a4bbb6739">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "6">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "139,173 KB">
+<!ENTITY linux-size "139,255 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "728e7da5137577232593b2210ae1bdc4">
+<!ENTITY linux-md5 "8ff592792d0b75149d64de7b86899eb1">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
@@ -479,8 +479,8 @@
 <!ENTITY make-fin-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.12.0">
-<!ENTITY man-db-size "1,941 KB">
+<!ENTITY man-db-version "2.12.1">
+<!ENTITY man-db-size "1,994 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "67e0052fa200901b314fad7b68c9db27">
+<!ENTITY man-db-md5 "7b044e5020aab89db41ac7ee59d6d84a">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-fin-du "41 MB">
@@ -540,16 +540,16 @@
 <!ENTITY ncurses-fin-sbu "0.2 SBU">
 
-<!ENTITY ninja-version "1.11.1">
-<!ENTITY ninja-size "225 KB">
+<!ENTITY ninja-version "1.12.0">
+<!ENTITY ninja-size "235 KB">
 <!ENTITY ninja-url "&github;/ninja-build/ninja/archive/v&ninja-version;/ninja-&ninja-version;.tar.gz">
-<!ENTITY ninja-md5 "32151c08211d7ca3c1d832064f6939b0">
+<!ENTITY ninja-md5 "302530c3d94dcb08e4ab0750a7f4cf20">
 <!ENTITY ninja-home "https://ninja-build.org/">
 <!ENTITY ninja-fin-du "75 MB">
 <!ENTITY ninja-fin-sbu "0.3 SBU">
 
-<!ENTITY openssl-version "3.2.1">
-<!ENTITY openssl-size "17,318 KB">
+<!ENTITY openssl-version "3.3.0">
+<!ENTITY openssl-size "17,616 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "c239213887804ba00654884918b37441">
+<!ENTITY openssl-md5 "c8b063afbea85d867e161ecb8816cfa9">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "805 MB">
@@ -607,9 +607,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.12.2">
+<!ENTITY python-version "3.12.3">
 <!ENTITY python-minor "3.12">
-<!ENTITY python-size "20,109 KB">
+<!ENTITY python-size "20,142 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "e7c178b97bf8f7ccd677b94d614f7b3c">
+<!ENTITY python-md5 "8defb33f0c37aa4bdd3a38ba52abde4e">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "598 MB">
@@ -618,6 +618,6 @@
 <!ENTITY python-fin-sbu "1.8 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "8a6310f6288e7f60c3565277ec3b5279">
-<!ENTITY python-docs-size "8,065 KB">
+<!ENTITY python-docs-md5 "6025ee63c0ded34aac874f5da8f1a90c">
+<!ENTITY python-docs-size "8,110 KB">
 
 <!ENTITY readline-version "8.2">
@@ -640,8 +640,8 @@
 <!ENTITY sed-fin-sbu "0.3 SBU">
 
-<!ENTITY setuptools-version "69.2.0">
-<!ENTITY setuptools-size "2,171 KB">
+<!ENTITY setuptools-version "69.5.1">
+<!ENTITY setuptools-size "2,238 KB">
 <!ENTITY setuptools-url "&pypi-src;/s/setuptools/setuptools-&setuptools-version;.tar.gz">
-<!ENTITY setuptools-md5 "940ffdb3a2ce4f6a5ee80032aa115fc7">
+<!ENTITY setuptools-md5 "645f672221ed628e888e38a9da6c5aed">
 <!ENTITY setuptools-home "&pypi-home;/setuptools/">
 <!ENTITY setuptools-fin-du "20 MB">
@@ -747,11 +747,11 @@
 <!ENTITY util-linux-fin-sbu "0.5 SBU">
 
-<!ENTITY vim-version "9.1.0161">
+<!ENTITY vim-version "9.1.0330">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim91">
-<!ENTITY vim-size "17,320 KB">
+<!ENTITY vim-size "17,428 KB">
 <!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
 <!--<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-md5 "a5dc0dc859a084ac7b6afe90d1b02c9d">
+<!ENTITY vim-md5 "88d5656c21668ae98a0cd1a13abb3d12">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "236 MB">