Index: general.ent
===================================================================
--- general.ent	(revision 192c66815afe99f23e7f6e1e9967d865d038801b)
+++ general.ent	(revision 493d6b55bd4a2bd8893eaf25e912d1cee2de6c9a)
@@ -1,12 +1,12 @@
-<!ENTITY version         "20200603-cross2">
+<!ENTITY version         "20200608-cross2">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "cross-chap5"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200606-cross2-systemd">
+<!ENTITY versiond        "20200608-cross2-systemd">
 <!ENTITY short-versiond  "systemd">
-<!ENTITY generic-versiond "systemd"> 
+<!ENTITY generic-versiond "20200608-cross2-systemd"> 
 
-<!ENTITY releasedate     "June 6th, 2020">
+<!ENTITY releasedate     "June 8th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: prologue/architecture.xml
===================================================================
--- prologue/architecture.xml	(revision 192c66815afe99f23e7f6e1e9967d865d038801b)
+++ prologue/architecture.xml	(revision 493d6b55bd4a2bd8893eaf25e912d1cee2de6c9a)
@@ -33,5 +33,5 @@
 and is 22% larger than the 32-bit build. If you plan to use LFS as a LAMP
 server, or a firewall, a 32-bit CPU may be largely sufficient. On the other
-hand, several packages in BLFS now need more that 4GB of RAM to be built
+hand, several packages in BLFS now need more than 4GB of RAM to be built
 and/or to run, so that if you plan to use LFS as a desktop, the LFS authors
 recommend building on a 64-bit system.</para>
Index: prologue/organization.xml
===================================================================
--- prologue/organization.xml	(revision 192c66815afe99f23e7f6e1e9967d865d038801b)
+++ prologue/organization.xml	(revision 493d6b55bd4a2bd8893eaf25e912d1cee2de6c9a)
@@ -30,7 +30,14 @@
 
   <sect2>
-    <title>Part III - Building the LFS System</title>
+    <title>Part III - Building the LFS Cross Toolchain and Temporary Tools</title>
 
-    <para>Part III guides the reader through the building of the LFS
+    <para>Part III provides instructions for building the tools
+    needed for construction the final LFS system.</para>
+  </sect2>
+
+  <sect2>
+    <title>Part IV - Building the LFS System</title>
+
+    <para>Part IV guides the reader through the building of the LFS
     system&mdash;compiling and installing all the packages one by one,
     setting up the boot scripts, and installing the kernel. The resulting
@@ -41,3 +48,13 @@
   </sect2>
 
+  <sect2>
+    <title>Part V - Appendices</title>
+
+    <para>Part V provides information about the book itself including
+    acronyms and terms, acknowledgments, package dependencies, 
+    a listing of LFS boot scripts, licenses for the distribution of the 
+    book, and a comprehensive index of packages, programs, libraries, 
+    and scripts.</para>
+  </sect2>
+
 </sect1>
Index: prologue/typography.xml
===================================================================
--- prologue/typography.xml	(revision 192c66815afe99f23e7f6e1e9967d865d038801b)
+++ prologue/typography.xml	(revision 493d6b55bd4a2bd8893eaf25e912d1cee2de6c9a)
@@ -81,6 +81,6 @@
   matches <quote>passwd</quote>, which will be
   <filename>/usr/share/man/man1/passwd.1</filename>. For this example, you will
-  need to run <command>man 5 passwd</command> in order to read the specific page
-  being referred to. It should be noted that most man pages do not have duplicate
+  need to run <command>man 5 passwd</command> in order to read the page
+  being specified. Note that most man pages do not have duplicate
   page names in different sections. Therefore, <command>man <replaceable>&lt;program
   name&gt;</replaceable></command> is generally sufficient.</para>
Index: prologue/why.xml
===================================================================
--- prologue/why.xml	(revision 192c66815afe99f23e7f6e1e9967d865d038801b)
+++ prologue/why.xml	(revision 493d6b55bd4a2bd8893eaf25e912d1cee2de6c9a)
@@ -119,6 +119,5 @@
         <para>DejaGNU</para>
 
-        <para>This package contains a framework for testing other programs.
-        It is only installed in the temporary toolchain.</para>
+        <para>This package contains a framework for testing other programs.</para>
       </listitem>
 
@@ -142,6 +141,7 @@
         <para>Eudev</para>
 
-        <para>This package is a device manager.  It dynamically controls the entries
-        in the /dev directory as devices are added or removed from the system.
+        <para>This package is a device manager.  It dynamically controls the ownership,
+        permissions, names, and symbolic links of devices in the /dev directory as 
+        devices are added or removed from the system.
         </para>
       </listitem>
@@ -167,5 +167,5 @@
 
         <para>This package contains a utility for determining the type of a
-        given file or files. A few packages need it to build.</para>
+        given file or files. A few packages need it in their build scripts.</para>
       </listitem>
 
@@ -219,5 +219,5 @@
         <para>Glibc</para>
 
-        <para>This package contains the main C library.  Linux programs would
+        <para>This package contains the main C library.  Linux programs will
         not run without it.</para>
       </listitem>
@@ -473,5 +473,5 @@
         <para>Pkg-config</para>
 
-        <para>This package provides a program to return meta-data about an
+        <para>This package provides a program that returns meta-data about an
         installed library or package.</para>
       </listitem>
@@ -559,6 +559,5 @@
 
         <para>This package contains the Tool Command Language used
-        in many test suites in LFS packages.  It is only installed in
-        the temporary toolchain.</para>
+        in many test suites in LFS packages.</para>
       </listitem>
 