Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8557cabb5520c89845d23604d0f255d0c154e4b9)
+++ chapter01/changelog.xml	(revision 512c848797558f54bfce08a0f7cf262faad200fa)
@@ -44,4 +44,22 @@
 -->
     <listitem>
+      <para>2017-01-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to zlib-1.2.9. Fixes
+          <ulink url="&lfs-ticket-root;4023">#4023</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to m4-1.4.18. Fixes
+          <ulink url="&lfs-ticket-root;4022">#4022</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Make binutils build against system zlib and enable
+          plugins for LTO.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-01-01</para>
       <itemizedlist>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 8557cabb5520c89845d23604d0f255d0c154e4b9)
+++ chapter06/binutils.xml	(revision 512c848797558f54bfce08a0f7cf262faad200fa)
@@ -66,7 +66,29 @@
     <para>Prepare Binutils for compilation:</para>
 
-<screen><userinput remap="configure">../configure --prefix=/usr   \
-             --enable-shared \
-             --disable-werror</userinput></screen>
+<screen><userinput remap="configure">../configure --prefix=/usr    \
+             --enable-shared  \
+             --enable-plugins \
+             --disable-werror \
+             --with-system-zlib</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of the configure parameters:</title>
+
+      <varlistentry>
+        <term><parameter>--enable-plugins</parameter></term>
+        <listitem>
+          <para>Enables plugin support for the linker.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--with-system-zlib</parameter></term>
+        <listitem>
+          <para>Use the installed zlib library rather than building the
+          included version.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
 
     <para>Compile the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 8557cabb5520c89845d23604d0f255d0c154e4b9)
+++ general.ent	(revision 512c848797558f54bfce08a0f7cf262faad200fa)
@@ -1,14 +1,14 @@
-<!ENTITY version         "SVN-20170101">
+<!ENTITY version         "SVN-20170103">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170101-systemd">
+<!ENTITY versiond        "20170103-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 1, 2016">
+<!ENTITY releasedate     "January 3, 2016">
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.11">
+<!ENTITY milestone       "8.0">
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision 8557cabb5520c89845d23604d0f255d0c154e4b9)
+++ packages.ent	(revision 512c848797558f54bfce08a0f7cf262faad200fa)
@@ -409,13 +409,13 @@
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY m4-version "1.4.17">
-<!ENTITY m4-size "1,122 KB">
+<!ENTITY m4-version "1.4.18">
+<!ENTITY m4-size "1,180 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.xz">
-<!ENTITY m4-md5 "12a3c829301a4fd6586a57d3fcf196dc">
+<!ENTITY m4-md5 "730bb15d96fffe47e148d1e09235af82">
 <!ENTITY m4-home "&gnu-software;m4/">
-<!ENTITY m4-ch5-du "18 MB">
+<!ENTITY m4-ch5-du "19 MB">
 <!ENTITY m4-ch5-sbu "0.2 SBU">
-<!ENTITY m4-ch6-du "29 MB">
-<!ENTITY m4-ch6-sbu "0.4 SBU">
+<!ENTITY m4-ch6-du "31 MB">
+<!ENTITY m4-ch6-sbu "0.3 SBU">
 
 <!ENTITY make-version "4.2.1">
@@ -643,10 +643,10 @@
 <!ENTITY xz-ch6-sbu "0.2 SBU">
 
-<!ENTITY zlib-version "1.2.8">
-<!ENTITY zlib-size "441 KB">
-<!ENTITY zlib-url "http://www.zlib.net/zlib-&zlib-version;.tar.xz">
-<!ENTITY zlib-md5 "28f1205d8dd2001f26fec1e8c2cebe37">
+<!ENTITY zlib-version "1.2.9">
+<!ENTITY zlib-size "632 KB">
+<!ENTITY zlib-url "&anduin-sources;/zlib-&zlib-version;.tar.gz">
+<!ENTITY zlib-md5 "e727f2484bf2a4eff2fc6b5f2e138ae2">
 <!ENTITY zlib-home "http://www.zlib.net/">
-<!ENTITY zlib-ch6-du "4.0 MB">
+<!ENTITY zlib-ch6-du "4.5 MB">
 <!ENTITY zlib-ch6-sbu "less than 0.1 SBU">
 