Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision dd0342686d14c8b7c58a1ed19f250ae149585859)
+++ chapter06/glibc.xml	(revision 519ee452362f9166fdbaa75d3041ff44b56db30e)
@@ -58,6 +58,6 @@
     <para>The glibc-libidn tarball adds support for internationalized domain
     names (IDN) to Glibc. Many programs that support IDN require the full
-    <filename class="libraryfile">libidn</filename> library, not this add-on (see
-    <ulink url="&blfs-root;view/svn/general/libidn.html"/>).
+    <filename class="libraryfile">libidn</filename> library (see
+    <ulink url="&blfs-root;view/svn/general/libidn.html"/>), not this add-on.
     Unpack the tarball from within the Glibc source directory:</para>
 
@@ -69,9 +69,4 @@
 
 <screen><userinput>patch -Np1 -i ../&glibc-linux_types-patch;</userinput></screen>
-
-    <para>Add a header to define syscall functions for the inotify feature
-    available in newer Linux kernels:</para>
-
-<screen><userinput>patch -Np1 -i ../&glibc-inotify-patch;</userinput></screen>
 
     <para>In the vi_VN.TCVN locale, <command>bash</command> enters an infinite loop
@@ -89,6 +84,4 @@
     to check the Glibc we have just installed with the following:</para>
 
-    <beginpage/>
-
 <screen><userinput>sed -i \
 's|libs -o|libs -L/usr/lib -Wl,-dynamic-linker=/lib/ld-linux.so.2 -o|' \
@@ -143,6 +136,6 @@
     <itemizedlist>
       <listitem>
-        <para>The <emphasis>nptl/tst-clock2</emphasis> and
-        <emphasis>tst-attr3</emphasis> tests sometimes
+        <para>The <emphasis>nptl/tst-clock2</emphasis> and 
+        <emphasis>tst-attr3</emphasis> tests sometimes 
         fail.  The reason is not completely understood, but indications
         are that a heavy system load can trigger these failures.</para>
@@ -165,6 +158,4 @@
     </itemizedlist>
 
-    <beginpage/>
-
     <para>Though it is a harmless message, the install stage of Glibc will
     complain about the absence of <filename>/etc/ld.so.conf</filename>.
@@ -177,12 +168,7 @@
 <screen><userinput>make install</userinput></screen>
 
-   <para>Install the inotify header to the system header location:</para>
-
-<screen><userinput>cp -v ../glibc-&glibc-version;/sysdeps/unix/sysv/linux/inotify.h \
-    /usr/include/sys</userinput></screen>
-
     <para>The locales that can make the system respond in a different language
     were not installed by the above command. None of the locales are required,
-    but if some of them are missing, testsuites of the future packages would
+    but, if some of them are misssing, testuites of the future packages would
     skip important testcases.</para>
 
@@ -230,6 +216,4 @@
     running localedef, the results are equivalent -->
 
-    <beginpage/>
-
   </sect2>
 
@@ -271,25 +255,18 @@
 EOF</userinput></screen>
 
-    <para>One way to determine the local time zone, run the following
-    script:</para>
+    <para>To determine the local time zone, run the following script:</para>
 
 <screen role="nodump"><userinput>tzselect</userinput></screen>
 
     <para>After answering a few questions about the location, the script will
-    output the name of the time zone (e.g.,
-    <emphasis>America/Edmonton</emphasis>). There are also some other possible
-    timezones listed in <filename
-    class='directory'>/usr/share/zoneinfo</filename> such as
-    <emphasis>Canada/Eastern</emphasis> or <emphasis>EST5EDT</emphasis> that
-    are not identified by the script but can be used.</para>
-
-    <para>Then create the <filename>/etc/localtime</filename> file by
-    running:</para>
+    output the name of the time zone (e.g., <emphasis>EST5EDT</emphasis> or
+    <emphasis>Canada/Eastern</emphasis>). Then create the
+    <filename>/etc/localtime</filename> file by running:</para>
 
 <screen><userinput>cp -v --remove-destination /usr/share/zoneinfo/<replaceable>&lt;xxx&gt;</replaceable> \
     /etc/localtime</userinput></screen>
 
-    <para>Replace <replaceable>&lt;xxx&gt;</replaceable> with the name of the
-    time zone selected (e.g., Canada/Eastern).</para>
+    <para>Replace <replaceable>&lt;xxx&gt;</replaceable> with the name of the time zone
+    that <command>tzselect</command> provided (e.g., Canada/Eastern).</para>
 
     <variablelist>
@@ -308,6 +285,4 @@
 
     </variablelist>
-
-    <beginpage/>
 
   </sect2>