Index: chapter01/administrativa.xml
===================================================================
--- chapter01/administrativa.xml	(revision a8f36125fa1c4971c61ea039e2a005dbd2c42632)
+++ chapter01/administrativa.xml	(revision 522b09fce2e087915c95cf18865a2a05deddafdf)
@@ -1,25 +1,26 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 [
+<!DOCTYPE section [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="ch-scatter-administrativa">
-<title>Resources</title>
+<section xmlns="http://docbook.org/docbook-ng"
+         xmlns:xlink="http://www.w3.org/1999/xlink"
+         xml:id="ch-scatter-administrativa">
+<info><title>Resources</title></info>
 <?dbhtml filename="resources.html"?>
 
 
-<sect2 id="ch-scatter-faq">
-<title>FAQ</title>
+<section xml:id="ch-scatter-faq">
+<info><title>FAQ</title></info>
 
 <para>If during the building of your LFS system you encounter any errors, or
 have any questions, or think you found a typo in the book, then please first
 consult the FAQ (Frequently Asked Questions) at
-<ulink url="&faq-root;"/>.</para>
+<uri xlink:href="&faq-root;">&faq-root;</uri>.</para>
 
-</sect2>
+</section>
 
-
-<sect2 id="ch-scatter-irc">
-<title>IRC</title>
+<section xml:id="ch-scatter-irc">
+<info><title>IRC</title></info>
 
 <para>Several members of the LFS community offer assistance on our community
@@ -31,9 +32,9 @@
 named #LFS-support.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-maillists" xreflabel="Chapter 1 - Mailing lists">
-<title>Mailing lists</title>
+<section xml:id="ch-scatter-maillists" xreflabel="Chapter 1 - Mailing lists">
+<info><title>Mailing lists</title></info>
 
 <para>The <uri>linuxfromscratch.org</uri> server is hosting a number
@@ -42,11 +43,11 @@
 
 <para>For information on which lists are available, how to subscribe to them,
-their archive locations, and so on, visit <ulink url="&lfs-root;mail.html"/>.</para>
+their archive locations, and so on, visit <uri xlink:href="&lfs-root;mail.html">&lfs-root;mail.html</uri>.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-newsserver">
-<title>News server</title>
+<section xml:id="ch-scatter-newsserver">
+<info><title>News server</title></info>
 
 <para>All the mailing lists hosted at <uri>linuxfromscratch.org</uri>
@@ -57,46 +58,44 @@
 <uri>news.linuxfromscratch.org</uri>.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-wiki">
-<title>Wiki</title>
+<section xml:id="ch-scatter-wiki">
+<info><title>Wiki</title></info>
 
 <para>For more information on a package, updated versions, tweaks, personal
-experiences, and so on, see the LFS Wiki at <ulink url="&wiki-root;"/>. You
-can add information there yourself too, to help others.</para>
+experiences, and so on, see the LFS Wiki at <uri xlink:href="&wiki-root;">&wiki-root;</uri>. You can add information there yourself too, to help others.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-references">
-<title>References</title>
+<section xml:id="ch-scatter-references">
+<info><title>References</title></info>
 
 <para>If you need still more detailed information on the packages,
 you will find useful pointers on this page:
-<ulink url="http://www.109bean.org.uk/LFS-references.html"/>.</para>
+<uri xlink:href="http://www.109bean.org.uk/LFS-references.html">http://www.109bean.org.uk/LFS-references.html</uri>.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-mirrors" xreflabel="Chapter 1 - Mirror sites">
-<title>Mirror sites</title>
+<section xml:id="ch-scatter-mirrors" xreflabel="Chapter 1 - Mirror sites">
+<info><title>Mirror sites</title></info>
 
 <para>The LFS project has a number of mirrors set up world-wide to make
 accessing the website and downloading the required packages more convenient.
-Please visit the website at <ulink url="&lfs-root;"/> for a list of current
-mirrors.</para>
+Please visit the website at <uri xlink:href="&lfs-root;">&lfs-root;</uri> for a list of current mirrors.</para>
 
-</sect2>
+</section>
 
 
-<sect2 id="ch-scatter-contactinfo">
-<title>Contact information</title>
+<section xml:id="ch-scatter-contactinfo">
+<info><title>Contact information</title></info>
 
 <para>Please direct all your questions and comments to one of the LFS mailing
 lists (see above).</para>
 
-</sect2>
+</section>
 
 
-</sect1>
+</section>
Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision a8f36125fa1c4971c61ea039e2a005dbd2c42632)
+++ chapter01/askforhelp.xml	(revision 522b09fce2e087915c95cf18865a2a05deddafdf)
@@ -1,16 +1,18 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 [
+<!DOCTYPE section [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="prepare-askforhelp">
-<title>How to ask for help</title>
+<section xmlns="http://docbook.org/docbook-ng"
+         xmlns:xlink="http://www.w3.org/1999/xlink"
+         xml:id="prepare-askforhelp">
+<info><title>How to ask for help</title></info>
 <?dbhtml filename="askforhelp.html"?>
 
 <para>If you run into a problem while working through this book, you should
-first check the FAQ at <ulink url="&faq-root;"/> -- often your question
+first check the FAQ at <uri xlink:href="&faq-root;"/> -- often your question
 is already answered there. If it is not, you should try to find the source of
 the problem. The following hint might give you some ideas for your
-troubleshooting: <ulink url="&hints-root;errors.txt"/>.</para>
+troubleshooting: <uri xlink:href="&hints-root;errors.txt">&hints-root;errors.txt</uri>.</para>
 
 <para>If all that fails, you will find that most people on IRC and the mailing
@@ -19,6 +21,6 @@
 all relevant information in your request for help.</para>
 
-<sect2>
-<title>Things to mention</title>
+<section>
+<info><title>Things to mention</title></info>
  
 <para>Apart from a brief explanation of the problem you're having, the
@@ -38,8 +40,8 @@
 help us to see other possible causes of your problem.</para></note>
 
-</sect2>
+</section>
 
-<sect2>
-<title>Configure problems</title>
+<section>
+<info><title>Configure problems</title></info>
 
 <para>When something goes wrong during the stage where the configure script
@@ -49,8 +51,8 @@
 help.</para>
 
-</sect2>
+</section>
 
-<sect2>
-<title>Compile problems</title>
+<section>
+<info><title>Compile problems</title></info>
 
 <para>To help us find the cause of the problem, both screen output and
@@ -89,23 +91,22 @@
 <para>An excellent article on asking for help on the Internet in general
 has been written by Eric S. Raymond. It is available online at 
-<ulink url="http://catb.org/~esr/faqs/smart-questions.html"/>.
+<uri xlink:href="http://catb.org/~esr/faqs/smart-questions.html">http://catb.org/~esr/faqs/smart-questions.html"</uri>.
 Read and follow the hints in that document and you are much more likely
 to get a response to start with and also to get the help you actually
 need.</para>
 
-</sect2>
+</section>
 
-<sect2>
-<title>Test suite problems</title>
+<section>
+<info><title>Test suite problems</title></info>
 
 <para>Many packages provide a test suite which, depending on the importance
 of the package, we may encourage you to run. Sometimes packages will
 generate false or expected failures. If you encounter these, you can check
-the LFS Wiki page at <ulink url="&wiki-root;"/> to see whether we have
-already noted and investigated them. If we already know
-about them, then usually there is no need to be concerned.</para>
+the LFS Wiki page at <uri xlink:href="&wiki-root;">&wiki-root;</uri> to see
+whether we have already noted and investigated them. If we already know about
+them, then usually there is no need to be concerned.</para>
 
-</sect2>
+</section>
 
-
-</sect1>
+</section>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a8f36125fa1c4971c61ea039e2a005dbd2c42632)
+++ chapter01/changelog.xml	(revision 522b09fce2e087915c95cf18865a2a05deddafdf)
@@ -1,9 +1,12 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 [
+<!DOCTYPE section [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="ch-scatter-changelog" condition="no-print">
-<title>Changelog</title>
+<section xmlns="http://docbook.org/docbook-ng"
+         xmlns:xlink="http://www.w3.org/1999/xlink"
+         xml:id="ch-scatter-changelog"
+         condition="no-print">
+<info><title>Changelog</title></info>
 <?dbhtml filename="changelog.html"?>
 
@@ -11,5 +14,5 @@
 &releasedate;. If this book is more than two months old, a newer and better
 version is probably already available. To find out, please check one of the
-mirrors via <ulink url="&lfs-root;"/>.</para>
+mirrors via <uri xlink:href="&lfs-root;">&lfs-root;</uri>.</para>
 
 <para>Below is a list of changes made since the previous release of the book,
@@ -642,3 +645,3 @@
 <para>Release of version 5.1.1 on June 6th, 2004.</para>
 
-</sect1>
+</section>
Index: chapter01/chapter01.xml
===================================================================
--- chapter01/chapter01.xml	(revision a8f36125fa1c4971c61ea039e2a005dbd2c42632)
+++ chapter01/chapter01.xml	(revision 522b09fce2e087915c95cf18865a2a05deddafdf)
@@ -4,13 +4,14 @@
   %general-entities;
 ]>
-<chapter id="chapter-intro" xreflabel="Chapter 1">
+<chapter xmlns="http://docbook.org/docbook-ng"
+         xmlns:xi="http://www.w3.org/2003/XInclude">
 <?dbhtml dir="chapter01"?>
 <title>Introduction</title>
 <?dbhtml filename="chapter01.html"?>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="how.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="changelog.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="administrativa.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="askforhelp.xml"/>
+<xi:include href="how.xml"/>
+<xi:include href="changelog.xml"/>
+<xi:include href="administrativa.xml"/>
+<xi:include href="askforhelp.xml"/>
 
 </chapter>
Index: chapter01/how.xml
===================================================================
--- chapter01/how.xml	(revision a8f36125fa1c4971c61ea039e2a005dbd2c42632)
+++ chapter01/how.xml	(revision 522b09fce2e087915c95cf18865a2a05deddafdf)
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 [
+<!DOCTYPE section [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="ch-scatter-how">
-<title>How things are going to be done</title>
+<section xmlns="http://docbook.org/docbook-ng" xml:id="ch-scatter-how">
+<info><title>How things are going to be done</title></info>
 <?dbhtml filename="how.html"?>
 
@@ -73,3 +73,3 @@
 <xref linkend="chapter-temporary-tools"/> and beyond.</para>
 
-</sect1>
+</section>