Index: Makefile
===================================================================
--- Makefile	(revision 3f82d653bfa3db89f2f34382ef2ea2d923dd8495)
+++ Makefile	(revision 536b6aa453aa6e7f569f5e91c5e58bdc9cdde26e)
@@ -28,22 +28,32 @@
 	sh goTidy $(BASEDIR)/
 
+#
+# This is the old "pdf" target. The old "print" target below has been
+# renamed to "pdf" and will be used. This commented out previous_pdf
+# target can be removed eventually. It'll remain here for a bit for
+# historical reasons
+#
+#previous_pdf:
+#	xsltproc --xinclude --nonet --output $(BASEDIR)/lfs.fo stylesheets/lfs-pdf.xsl \
+#	  index.xml
+#	sed -i -e "s/inherit/all/" $(BASEDIR)/lfs.fo
+#	fop.sh $(BASEDIR)/lfs.fo $(BASEDIR)/$(PDF_OUTPUT)
+#	rm lfs.fo
+
 pdf:
-	xsltproc --xinclude --nonet --output lfs.fo stylesheets/lfs-pdf.xsl \
-	  index.xml
-	sed -i -e "s/inherit/all/" lfs.fo
-	fop.sh lfs.fo $(PDF_OUTPUT)
-
-print:
-	xsltproc --xinclude --nonet --stringparam profile.condition print --output lfs-print.xml \
-	  stylesheets/lfs-profile.xsl index.xml
-	xsltproc --nonet --output lfs-print.fo stylesheets/lfs-print.xsl lfs-print.xml
-	sed -i -e "s/inherit/all/" lfs-print.fo
-	fop.sh lfs-print.fo $(PRINT_OUTPUT)
+	xsltproc --xinclude --nonet --stringparam profile.condition print \
+		--output $(BASEDIR)/lfs-print.xml stylesheets/lfs-profile.xsl index-print.xml
+	xsltproc --nonet --output $(BASEDIR)/lfs-print.fo stylesheets/lfs-print.xsl \
+		$(BASEDIR)/lfs-print.xml
+	sed -i -e "s/inherit/all/" $(BASEDIR)/lfs-print.fo
+	fop.sh $(BASEDIR)/lfs-print.fo $(BASEDIR)/$(PRINT_OUTPUT)
+	rm $(BASEDIR)/lfs-print.xml $(BASEDIR)/lfs-print.fo
 
 nochunks:
-	xsltproc --xinclude --nonet --output $(NOCHUNKS_OUTPUT) \
+	xsltproc --xinclude --nonet --output $(BASEDIR)/$(NOCHUNKS_OUTPUT) \
 	  stylesheets/lfs-nochunks.xsl index.xml
-	tidy -config tidy.conf $(NOCHUNKS_OUTPUT) || true
+	tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || true
 
 validate:
 	xmllint --noout --nonet --xinclude --postvalid index.xml
+
Index: index-print.xml
===================================================================
--- index-print.xml	(revision 536b6aa453aa6e7f569f5e91c5e58bdc9cdde26e)
+++ index-print.xml	(revision 536b6aa453aa6e7f569f5e91c5e58bdc9cdde26e)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "general.ent">
+  %general-entities;
+]>
+<book>
+
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/bookinfo.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/dedication.xml"/>
+
+<preface id="preface">
+<title>Preface</title>
+
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/foreword.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/audience.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/prerequisites.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/typography.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/organization.xml"/>
+
+</preface>
+
+<part id="part1">
+<title>Introduction</title>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter01/chapter01.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter02/chapter02.xml"/>
+</part>
+
+<part id="part2">
+<title>Preparing for the build</title>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter03/chapter03.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter04/chapter04.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter05/chapter05.xml"/>
+</part>
+
+<part id="part3">
+<title>Building the LFS system</title>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter06/chapter06.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter07/chapter07.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter08/chapter08.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chapter09/chapter09.xml"/>
+</part>
+
+<index/>
+
+<appendix><title/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="prologue/acknowledgments.xml"/>
+</appendix>
+
+</book>