Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2001f5cd7ef8ff791cedfe61974e9ea343b9bd47)
+++ chapter01/changelog.xml	(revision 0566a056ba6c9c211b2810bfa648fd5f74a74182)
@@ -42,4 +42,50 @@
 
     <listitem>
+      <para>2024-03-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20240222. Addresses
+          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-9.1.0145. Addresses
+          <ulink url='&lfs-ticket-root;4500'>#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xz-5.6.0. Fixes
+          <ulink url='&lfs-ticket-root;5447'>#5447</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tcl-8.6.14. Fixes
+          <ulink url='&lfs-ticket-root;5448'>#5448</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to shadow-4.14.6. Fixes
+          <ulink url='&lfs-ticket-root;5450'>#5450</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to setuptools-69.1.1. Fixes
+          <ulink url='&lfs-ticket-root;5446'>#5446</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.7.7. Fixes
+          <ulink url='&lfs-ticket-root;5444'>#5444</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libffi-3.4.6. Fixes
+          <ulink url='&lfs-ticket-root;5443'>#5443</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gettext-0.22.5. Fixes
+          <ulink url='&lfs-ticket-root;5445'>#5445</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.6.1. Fixes
+          <ulink url='&lfs-ticket-root;5449'>#5449</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2024-03-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 2001f5cd7ef8ff791cedfe61974e9ea343b9bd47)
+++ chapter01/whatsnew.xml	(revision 0566a056ba6c9c211b2810bfa648fd5f74a74182)
@@ -27,25 +27,25 @@
     <para>None</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Acl-&acl-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Attr-&attr-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Autoconf-&autoconf-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Automake-&automake-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Bash-&bash-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Bc-&bc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bison-&bison-version;</para>
@@ -57,13 +57,13 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils-&coreutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Diffutils-&diffutils-version;</para>
@@ -90,7 +90,7 @@
       <para>Flit-core-&flit-core-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gawk-&gawk-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
        <para>GCC-&gcc-version;</para>
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>
-    <listitem>
+    <!--<listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
@@ -117,31 +117,31 @@
       <para>Groff-&groff-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GRUB-&grub-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Gzip-&gzip-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Iana-Etc-&iana-etc-version;</para>
     </listitem>
-    <listitem>
+    <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Jinja2-&jinja2-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Kbd-&kbd-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Kmod-&kmod-version;</para>
-    </listitem>
+   </listitem>-->
     <!--<listitem>
       <para>Less-&less-version;</para>
@@ -153,10 +153,10 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libelf from Elfutils-&elfutils-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+    <listitem>
       <para>Libffi-&libffi-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libpipeline-&libpipeline-version;</para>
@@ -174,49 +174,49 @@
       <para>Make-&make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB-&man-db-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Man-pages-&man-pages-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>MarkupSafe-&markupsafe-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Meson-&meson-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC-&mpc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>MPFR-&mpfr-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Ncurses-&ncurses-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Ninja-&ninja-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>OpenSSL-&openssl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Patch-&patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl-&perl-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Pkgconf-&pkgconf-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Procps-ng-&procps-ng-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Python-&python-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Readline-&readline-version;</para>
@@ -225,5 +225,5 @@
       <para>Sed-&sed-version;</para>
     </listitem>-->
-    <listitem>  <!-- After version 12.1 release - see Added -->
+    <listitem>
       <para>Setuptools-&setuptools-version;</para>
     </listitem>
@@ -237,40 +237,40 @@
       <para>Systemd-&systemd-version;</para>
     </listitem>-->
-    <listitem revision="sysv">
+    <!--<listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Tar-&tar-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tcl-&tcl-version;</para>
-    </listitem>-->
-    <listitem>
+    </listitem>
+    <!--<listitem>
       <para>Texinfo-&texinfo-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Tzdata-&tzdata-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem revision="sysv">
       <para>Udev from Systemd-&systemd-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Util-linux-&util-linux-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Vim-&vim-version;</para>
     </listitem>
-    <listitem>
+    <!--<listitem>
       <para>Wheel-&wheel-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>XML::Parser-&xml-parser-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Xz-&xz-version;</para>
     </listitem>
-    <listitem>
+    <!--<listitem>
       <para>Zlib-&zlib-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Zstd-&zstd-version;</para>
Index: chapter08/tcl.xml
===================================================================
--- chapter08/tcl.xml	(revision 2001f5cd7ef8ff791cedfe61974e9ea343b9bd47)
+++ chapter08/tcl.xml	(revision 0566a056ba6c9c211b2810bfa648fd5f74a74182)
@@ -4,6 +4,6 @@
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
-  <!ENTITY tdbc-ver          "1.1.5">
-  <!ENTITY itcl-ver          "4.2.3">
+  <!ENTITY tdbc-ver          "1.1.7">
+  <!ENTITY itcl-ver          "4.2.4">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 2001f5cd7ef8ff791cedfe61974e9ea343b9bd47)
+++ packages.ent	(revision 0566a056ba6c9c211b2810bfa648fd5f74a74182)
@@ -157,8 +157,8 @@
 <!ENTITY elfutils-fin-sbu "0.3 SBU">
 
-<!ENTITY expat-version "2.6.0">
+<!ENTITY expat-version "2.6.1">
 <!ENTITY expat-size "473 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "bd169cb11f4b9bdfddadf9e88a5c4d4b">
+<!ENTITY expat-md5 "84d0ee1c554212dc8f068e538de5b823">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-fin-du "13 MB">
@@ -246,8 +246,8 @@
 <!ENTITY gdbm-fin-sbu "0.1 SBU">
 
-<!ENTITY gettext-version "0.22.4">
-<!ENTITY gettext-size "10,016 KB">
+<!ENTITY gettext-version "0.22.5">
+<!ENTITY gettext-size "10,031 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "2d8507d003ef3ddd1c172707ffa97ed8">
+<!ENTITY gettext-md5 "3ae5580599d84be93e6213930facb2db">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "306 MB">
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20240125">
+<!ENTITY iana-etc-version "20240222">
 <!ENTITY iana-etc-size "589 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "aed66d04de615d76c70890233081e584">
+<!ENTITY iana-etc-md5 "dadc93615a3cdbc95380f4a4a91ab2b8">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -398,8 +398,8 @@
 <!ENTITY libcap-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY libffi-version "3.4.4">
-<!ENTITY libffi-size "1,331 KB">
+<!ENTITY libffi-version "3.4.6">
+<!ENTITY libffi-size "1,360 KB">
 <!ENTITY libffi-url "https://github.com/libffi/libffi/releases/download/v&libffi-version;/libffi-&libffi-version;.tar.gz">
-<!ENTITY libffi-md5 "0da1a5ed7786ac12dcbaf0d499d8a049">
+<!ENTITY libffi-md5 "b9cac6c5997dca2b3787a59ede34e0eb">
 <!ENTITY libffi-home "https://sourceware.org/libffi/">
 <!ENTITY libffi-fin-du "11 MB">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "7">
-<!ENTITY linux-patch-version "4">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "138,130 KB">
+<!ENTITY linux-size "138,148 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "370e1b6155ae63133380e421146619e0">
+<!ENTITY linux-md5 "daad88f53f3bddd03fd703c3a885fd4f">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
@@ -632,16 +632,16 @@
 <!ENTITY sed-fin-sbu "0.3 SBU">
 
-<!ENTITY setuptools-version "69.1.0">
+<!ENTITY setuptools-version "69.1.1">
 <!ENTITY setuptools-size "2,168 KB">
 <!ENTITY setuptools-url "&pypi-src;/s/setuptools/setuptools-&setuptools-version;.tar.gz">
-<!ENTITY setuptools-md5 "6f6eb780ce12c90d81ce243747ed7ab0">
+<!ENTITY setuptools-md5 "bfad5bc64d49984f98fca0de77687f99">
 <!ENTITY setuptools-home "&pypi-home;/setuptools/">
 <!ENTITY setuptools-fin-du "20 MB">
 <!ENTITY setuptools-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY shadow-version "4.14.5">
-<!ENTITY shadow-size "1,765 KB">
+<!ENTITY shadow-version "4.14.6">
+<!ENTITY shadow-size "1,764 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "452b0e59f08bf618482228ba3732d0ae">
+<!ENTITY shadow-md5 "293e93f78f2d3217b253d289271a40fa">
 <!ENTITY shadow-home "&github;/shadow-maint/shadow/">
 <!ENTITY shadow-fin-du "49 MB">
@@ -691,13 +691,13 @@
 <!ENTITY tar-fin-sbu "0.5 SBU">
 
-<!ENTITY tcl-version "8.6.13">
+<!ENTITY tcl-version "8.6.14">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "10,581 KB">
+<!ENTITY tcl-size "11,355 KB">
 <!ENTITY tcl-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "0e4358aade2f5db8a8b6f2f6d9481ec2">
+<!ENTITY tcl-md5 "c30b57c6051be28fa928d09aca82841e">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-docs-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-html.tar.gz">
-<!ENTITY tcl-docs-md5 "4452f2f6d557f5598cca17b786d6eb68">
-<!ENTITY tcl-docs-size "1,165 KB">
+<!ENTITY tcl-docs-md5 "5467198f8d57c54835bf80b98ffb0170">
+<!ENTITY tcl-docs-size "1,167 KB">
 <!ENTITY tcl-tmp-du "89 MB">
 <!ENTITY tcl-tmp-sbu "2.7 SBU">
@@ -739,11 +739,11 @@
 <!ENTITY util-linux-fin-sbu "0.5 SBU">
 
-<!ENTITY vim-version "9.1.0041">
+<!ENTITY vim-version "9.1.0145">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim91">
-<!ENTITY vim-size "17,224 KB">
+<!ENTITY vim-size "17,285 KB">
 <!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
 <!--<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-md5 "79dfe62be5d347b1325cbd5ce2a1f9b3">
+<!ENTITY vim-md5 "9db2b795d5671c05dfc843905d6a3f5f">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "236 MB">
@@ -766,8 +766,8 @@
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.4.6">
-<!ENTITY xz-size "1,645 KB">
+<!ENTITY xz-version "5.6.0">
+<!ENTITY xz-size "1,732 KB">
 <!ENTITY xz-url "https://github.com/tukaani-project/xz/releases/download/v&xz-version;/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "7ade7bd1181a731328f875bec62a9377">
+<!ENTITY xz-md5 "cfb1afdfcfeca02f7677b1b401bc536e">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "22 MB">