Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision d13e8eff811d338626cbf41d0be4dd6d666b055f)
+++ chapter01/changelog.xml	(revision 593b439adae07e459ffc495c06cd23bb370e3876)
@@ -44,4 +44,14 @@
     -->
     <listitem>
+      <para>2021-07-22</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Correct page IDs in Chapter 08 dejagnu, expect, and
+          tcl.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-07-20</para>
       <itemizedlist>
Index: chapter08/dejagnu.xml
===================================================================
--- chapter08/dejagnu.xml	(revision d13e8eff811d338626cbf41d0be4dd6d666b055f)
+++ chapter08/dejagnu.xml	(revision 593b439adae07e459ffc495c06cd23bb370e3876)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-tools-dejagnu" role="wrap">
+<sect1 id="ch-system-dejagnu" role="wrap">
   <?dbhtml filename="dejagnu.html"?>
 
@@ -17,5 +17,5 @@
   <title>DejaGNU-&dejagnu-version;</title>
 
-  <indexterm zone="ch-tools-dejagnu">
+  <indexterm zone="ch-system-dejagnu">
     <primary sortas="a-DejaGNU">DejaGNU</primary>
   </indexterm>
@@ -89,5 +89,5 @@
           <para>A wrapper script that locates the proper
           <command>expect</command> shell and then runs DejaGNU</para>
-          <indexterm zone="ch-tools-dejagnu runtest">
+          <indexterm zone="ch-system-dejagnu runtest">
             <primary sortas="b-runtest">runtest</primary>
           </indexterm>
Index: chapter08/expect.xml
===================================================================
--- chapter08/expect.xml	(revision d13e8eff811d338626cbf41d0be4dd6d666b055f)
+++ chapter08/expect.xml	(revision 593b439adae07e459ffc495c06cd23bb370e3876)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-tools-expect" role="wrap">
+<sect1 id="ch-system-expect" role="wrap">
   <?dbhtml filename="expect.html"?>
 
@@ -17,5 +17,5 @@
   <title>Expect-&expect-version;</title>
 
-  <indexterm zone="ch-tools-expect">
+  <indexterm zone="ch-system-expect">
     <primary sortas="a-Expect">Expect</primary>
   </indexterm>
@@ -117,5 +117,5 @@
           <para>Communicates with other interactive programs according
           to a script</para>
-          <indexterm zone="ch-tools-expect expect">
+          <indexterm zone="ch-system-expect expect">
             <primary sortas="b-expect">expect</primary>
           </indexterm>
@@ -128,5 +128,5 @@
           <para>Contains functions that allow Expect to be used as a Tcl
           extension or to be used directly from C or C++ (without Tcl)</para>
-          <indexterm zone="ch-tools-expect libexpect">
+          <indexterm zone="ch-system-expect libexpect">
             <primary sortas="c-libexpect-&expect-lib-version;">libexpect-&expect-lib-version;</primary>
           </indexterm>
Index: chapter08/tcl.xml
===================================================================
--- chapter08/tcl.xml	(revision d13e8eff811d338626cbf41d0be4dd6d666b055f)
+++ chapter08/tcl.xml	(revision 593b439adae07e459ffc495c06cd23bb370e3876)
@@ -8,5 +8,5 @@
 ]>
 
-<sect1 id="ch-tools-tcl" role="wrap">
+<sect1 id="ch-system-tcl" role="wrap">
   <?dbhtml filename="tcl.html"?>
 
@@ -19,5 +19,5 @@
   <title>Tcl-&tcl-version;</title>
 
-  <indexterm zone="ch-tools-tcl">
+  <indexterm zone="ch-system-tcl">
     <primary sortas="a-Tcl">Tcl</primary>
   </indexterm>
@@ -173,5 +173,5 @@
         <listitem>
           <para>The Tcl command shell</para>
-          <indexterm zone="ch-tools-tcl tclsh&tcl-major-version;">
+          <indexterm zone="ch-system-tcl tclsh&tcl-major-version;">
             <primary sortas="b-tclsh&tcl-major-version;">tclsh&tcl-major-version;</primary>
           </indexterm>
@@ -183,5 +183,5 @@
         <listitem>
           <para>A link to tclsh&tcl-major-version;</para>
-          <indexterm zone="ch-tools-tcl tclsh">
+          <indexterm zone="ch-system-tcl tclsh">
             <primary sortas="b-tclsh">tclsh</primary>
           </indexterm>
@@ -193,5 +193,5 @@
         <listitem>
           <para>The Tcl library</para>
-          <indexterm zone="ch-tools-tcl libtcl&tcl-major-version;.so">
+          <indexterm zone="ch-system-tcl libtcl&tcl-major-version;.so">
             <primary sortas="c-libtcl&tcl-major-version;.so">libtcl&tcl-major-version;.so</primary>
           </indexterm>
@@ -203,5 +203,5 @@
         <listitem>
           <para>The Tcl Stub library</para>
-          <indexterm zone="ch-tools-tcl libtclstub&tcl-major-version;.a">
+          <indexterm zone="ch-system-tcl libtclstub&tcl-major-version;.a">
             <primary sortas="c-libtclstub&tcl-major-version;.a">libtclstub&tcl-major-version;.a</primary>
           </indexterm>