Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ chapter01/changelog.xml	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -47,4 +47,14 @@
     <listitem>
       <itemizedlist>
+      <para>2020-08-28</para>
+        <listitem>
+          <para>[bdubbs] - Update to iana-Etc-20200821. Addresses
+          <ulink url="&lfs-ticket-root;4718">#4722</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
       <para>2020-08-24</para>
         <listitem>
Index: chapter09/systemd-custom.xml
===================================================================
--- chapter09/systemd-custom.xml	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ chapter09/systemd-custom.xml	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -55,5 +55,5 @@
 <screen role="nodump"><userinput>ln -sfv /dev/null /etc/systemd/system/tmp.mount</userinput></screen>
 
-    <para>Alternatively, if a a separate partition for
+    <para>Alternatively, if a separate partition for
     <filename class="directory">/tmp</filename> is desired, specify that 
     partition in a <filename>/etc/fstab</filename> entry.</para>
@@ -104,5 +104,5 @@
       is really only applicable to btrfs filesystems.  It references type v
       which in turn references type d (directory). This then creates the
-      specified directory if is is not present and adjusts the permissions
+      specified directory if it is not present and adjusts the permissions
       and ownership as specified. Contents of the directory will be
       subject to time based cleanup if the age argument is specified.
Index: chapter10/kernel.xml
===================================================================
--- chapter10/kernel.xml	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ chapter10/kernel.xml	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -55,8 +55,39 @@
     un-tarring.</para>
 
+    <para>There are several ways to configure the kernel options. Usually,
+    This is done through a menu-driven interface, for example:</para>
+
+<screen role="nodump"><userinput>make menuconfig</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of optional make environment variables:</title>
+
+      <varlistentry>
+        <term><parameter>LANG=&lt;host_LANG_value&gt; LC_ALL=</parameter></term>
+        <listitem>
+          <para>This establishes the locale setting to the one used on the
+          host.  This may be needed for a proper menuconfig ncurses interface
+          line drawing on a UTF-8 linux text console.</para>
+
+          <para>If used, be sure to replace
+          <replaceable>&lt;host_LANG_value&gt;</replaceable> by the value of
+          the <envar>$LANG</envar> variable from your host.  You can
+          alternatively use instead the host's value of <envar>$LC_ALL</envar>
+          or <envar>$LC_CTYPE</envar>.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><command>make menuconfig</command></term>
+        <listitem>
+          <para>This launches an ncurses menu-driven interface. For other
+          (graphical) interfaces, type <command>make help</command>.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
     <!-- Support for compiling a keymap into the kernel is deliberately removed -->
 
-    <para>Configure the kernel via a menu-driven interface. For general
-    information on kernel configuration see <ulink
+    <para>For general information on kernel configuration see <ulink
     url="&hints-root;kernel-configuration.txt"/>.  BLFS has some information
     regarding particular kernel configuration requirements of packages outside
@@ -194,26 +225,4 @@
     </variablelist>
 
-<screen role="nodump"><userinput>make menuconfig</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of optional make environment variables:</title>
-
-      <varlistentry>
-        <term><parameter>LANG=&lt;host_LANG_value&gt; LC_ALL=</parameter></term>
-        <listitem>
-          <para>This establishes the locale setting to the one used on the
-          host.  This may be needed for a proper menuconfig ncurses interface
-          line drawing on a UTF-8 linux text console.</para>
-
-          <para>If used, be sure to replace
-          <replaceable>&lt;host_LANG_value&gt;</replaceable> by the value of
-          the <envar>$LANG</envar> variable from your host.  You can
-          alternatively use instead the host's value of <envar>$LC_ALL</envar>
-          or <envar>$LC_CTYPE</envar>.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
     <para>Alternatively, <command>make oldconfig</command> may be more
     appropriate in some situations. See the <filename>README</filename>
Index: general.ent
===================================================================
--- general.ent	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ general.ent	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200824">
+<!ENTITY version         "SVN-20200828">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200824-systemd">
+<!ENTITY versiond        "20200828-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "August 24th, 2020">
+<!ENTITY releasedate     "August 28th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: lfs-latest.php
===================================================================
--- lfs-latest.php	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ lfs-latest.php	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -117,4 +117,5 @@
 if ( $package == "flex"       ) $dirpath = "https://github.com/westes/flex/releases";
 if ( $package == "gcc"        ) $dirpath = max_parent( $dirpath, "gcc-" );
+if ( $package == "iana-etc"   ) $dirpath = "https://github.com/Mic92/iana-etc/releases";
 if ( $package == "intltool"   ) $dirpath = "https://launchpad.net/intltool/trunk";
 if ( $package == "meson"      ) $dirpath = "https://github.com/mesonbuild/meson/releases";
Index: packages.ent
===================================================================
--- packages.ent	(revision 7091d5910e287da89a066cb95e36783d0d0590fb)
+++ packages.ent	(revision 602a01ffe99d810901fa46fc3ef220848b79e44a)
@@ -320,9 +320,9 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20200429">
-<!ENTITY iana-etc-size "574 KB">
-<!ENTITY iana-etc-url "&anduin-sources;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "f9f7cda56c0ebe6ac2fa69a0be5d5400">
-<!ENTITY iana-etc-home "http://freecode.com/projects/iana-etc">
+<!ENTITY iana-etc-version "20200821">
+<!ENTITY iana-etc-size "576 KB">
+<!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
+<!ENTITY iana-etc-md5 "ff19c45f5ac800f5d77c680d9b757fbc">
+<!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
 <!ENTITY iana-etc-fin-sbu "less than 0.1 SBU">
@@ -433,9 +433,9 @@
 <!ENTITY linux-md5 "2656fe1a0942856c8740468d175e39b6">
 <!ENTITY linux-home "https://www.kernel.org/">
-<!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
+<!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
  allnoconfig extended for a hopefully-bootable build on desktop machine,
- max is allyesconfig which requires openssl -->
-<!ENTITY linux-knl-du "960 - 4250 MB (typically about 1100 MB)">
-<!ENTITY linux-knl-sbu "4.4 - 66.0 SBU (typically about 6 SBU)">
+ max is allmodconfig which requires openssl -->
+<!ENTITY linux-knl-du "1200 - 6750 MB (typically about 1500 MB)">
+<!ENTITY linux-knl-sbu "5.0 - 125.0 SBU (typically about 9 SBU)">
 
 <!ENTITY linux-headers-tmp-du "3.8 GB">