Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter01/changelog.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -47,4 +47,47 @@
 
     <listitem>
+      <para>2019-08-04</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Fix a problem introduced by linux-5.2 by
+          adding an include file to a glibc header.</para>
+        </listitem>
+        <listitem arch="ml_32,ml_x32,ml_all">
+          <para>[thomas] - Upgrade to isl-0.21</para>
+        </listitem>
+        <listitem arch="ml_32,ml_x32,ml_all">
+          <para>[thomas] - Upgrade to linux-firmware-20190519</para>
+        </listitem>	
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-08-03</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Add a patch to systemd to fix issues with
+          networkd on kernel versions 5.2+, and to fix issues with AMD Ryzen
+          CPUs. Fixes <ulink url="&lfs-ticket-root;4506">#4506</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.2.5. Fixes
+          <ulink url="&lfs-ticket-root;4505">#4505</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4507">#4507</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glibc-2.30. Fixes
+          <ulink url="&lfs-ticket-root;4508">#4508</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.02. Fixes
+          <ulink url="&lfs-ticket-root;4509">#4509</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-07-21</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter01/whatsnew.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter02/hostreqs.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -61,6 +61,7 @@
     </listitem>
 
-    <listitem>
-      <para><emphasis role="strong">GCC-5.2</emphasis> including the C++
+    <!-- glibc-2.30 requires gcc-6.2 or later -->
+    <listitem>
+      <para><emphasis role="strong">GCC-6.2</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested)</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter03/patches.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -117,13 +117,13 @@
       </listitem>
     </varlistentry>
-<!--
+
     <varlistentry revision="systemd">
-      <term>Systemd security patch - <token>&systemd-security-patch-size;</token>:</term>
+      <term>Systemd networkd and rdrand patch - <token>&systemd-networkd-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&systemd-security-patch;"/></para>
-        <para>MD5 sum: <literal>&systemd-security-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&systemd-networkd-patch;"/></para>
+        <para>MD5 sum: <literal>&systemd-networkd-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
--->
+
   </variablelist>
 
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter06/gcc.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -175,7 +175,8 @@
     </para></note-->
 
-    <para>Install the package:</para>
-
-<screen><userinput remap="install">make install</userinput></screen>
+    <para>Install the package and remove an unneeded directory:</para>
+
+<screen><userinput remap="install">make install
+rm -rf /usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/include-fixed/bits/</userinput></screen>
 
     <para>Create a symlink required by the <ulink
Index: chapter06/glibc-32.xml
===================================================================
--- chapter06/glibc-32.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter06/glibc-32.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -25,4 +25,9 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-fhs-patch;</userinput></screen>
+
+    <para>Fix a problem introduced with the linux-5.2 kernel:</para>
+
+<screen><userinput remap="pre">sed -i '/asm.socket.h/a# include &lt;linux/sockios.h&gt;' \
+   sysdeps/unix/sysv/linux/bits/socket.h</userinput></screen>
 
     <para>Remove a file that may be left over from a previous build attempt:</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter06/glibc.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -61,10 +61,10 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-glob-patch;</userinput></screen>
---><!--
-    <para>First create a compatibility symlink to avoid references to /tools in
-    our final glibc:</para>
-
-<screen><userinput remap="pre">ln -sfv /tools/lib/gcc /usr/lib</userinput></screen>
 -->
+    <para>Fix a problem introduced with the linux-5.2 kernel:</para>
+
+<screen><userinput remap="pre">sed -i '/asm.socket.h/a# include &lt;linux/sockios.h&gt;' \
+   sysdeps/unix/sysv/linux/bits/socket.h</userinput></screen>
+
     <para>Create a symlink for LSB
     compliance. Additionally, for x86_64, create a compatibility symlink
@@ -177,9 +177,4 @@
 
     <itemizedlist>
-
-      <listitem>
-        <para><emphasis>misc/check-installed-headers-c</emphasis> 
-        is known to fail due to changes in the kernel headers.</para>
-      </listitem>
 
       <listitem>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ chapter06/systemd.xml	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -40,4 +40,9 @@
   <sect2 role="installation">
     <title>Installation of systemd</title>
+
+    <para>First, apply a patch to fix issues with systemd-networkd on Linux 5.2+
+    kernels, as well as with AMD Ryzen CPUs:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-networkd_and_rdrand_fixes-1.patch</userinput></screen>
 
     <para>Create a symlink to work around missing xsltproc:</para>
Index: general.ent
===================================================================
--- general.ent	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ general.ent	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190721">
+<!ENTITY version         "SVN-20190804">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190721-systemd">
+<!ENTITY versiond        "20190804-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 21st, 2019">
+<!ENTITY releasedate     "August 4th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ packages.ent	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -262,8 +262,8 @@
 <!ENTITY gettext-ch6-sbu "2.0 SBU">
 
-<!ENTITY glibc-version "2.29">
-<!ENTITY glibc-size "16,129 KB">
+<!ENTITY glibc-version "2.30">
+<!ENTITY glibc-size "16,189 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "e6c279d5b2f0736f740216f152acf974">
+<!ENTITY glibc-md5 "2b1dbdf27b28620752956c061d62f60c">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "885 MB">
@@ -357,16 +357,16 @@
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
-<!ENTITY isl-version "0.20">
+<!ENTITY isl-version "0.21">
 <!ENTITY isl-size "1.5 MB">
 <!ENTITY isl-url "http://isl.gforge.inria.fr/isl-&isl-version;.tar.xz">
-<!ENTITY isl-md5 "2ee25141b7d1688afb63e5bf3ac12999">
+<!ENTITY isl-md5 "12caf7eea20946c581ace61302b1c876">
 <!ENTITY isl-home "http://isl.gforge.inria.fr/">
 <!ENTITY isl-ch6-du "20 MB">
 <!ENTITY isl-ch6-sbu "0.1 SBU">
 
-<!ENTITY kbd-version "2.1.0">
-<!ENTITY kbd-size "1,089 KB">
+<!ENTITY kbd-version "2.2.0">
+<!ENTITY kbd-size "1,090 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "8af96ca067ddca1a950c25a24b9ca245">
+<!ENTITY kbd-md5 "d1d7ae0b5fb875dc082731e09cd0c8bc">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "30 MB">
@@ -431,10 +431,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "5">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "104,530 KB">
+<!ENTITY linux-size "104,548 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "be9f3e8e40b97616b5d31e414c7bec24">
+<!ENTITY linux-md5 "563ddd6b9f8022c2f881b441bee55844">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -449,8 +449,8 @@
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY linux-firmware-version "20180929">
-<!ENTITY linux-firmware-size "82,268 KB">
+<!ENTITY linux-firmware-version "20190519">
+<!ENTITY linux-firmware-size "91,564 KB">
 <!ENTITY linux-firmware-url "http://www.linuxfromscratch.org/~dj/linux-firmware-&linux-firmware-version;.tar.xz">
-<!ENTITY linux-firmware-md5 "f803f618f0bd186b99da3a913e6c2dd2">
+<!ENTITY linux-firmware-md5 "8c7d0589a6decba047e2ac5e70b10e6b">
 <!ENTITY linux-firmware-home "http://www.kernel.org/">
 <!ENTITY linux-firmware-ch6-du "287 MB">
@@ -485,8 +485,8 @@
 <!ENTITY man-db-ch6-sbu "0.3 SBU">
 
-<!ENTITY man-pages-version "5.01">
-<!ENTITY man-pages-size "1,624 KB">
+<!ENTITY man-pages-version "5.02">
+<!ENTITY man-pages-size "1,630 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "5f75f72efcbe5cd245c4d9f36005d070">
+<!ENTITY man-pages-md5 "136e5e3380963571a079693d8ae38f52">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "28 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision abbd53b8b83517da420e60b303472543ca7beae9)
+++ patches.ent	(revision 607ea0f3f9d019220eeac113233dd1f98acce0a9)
@@ -57,7 +57,7 @@
 <!ENTITY sysvinit-consolidated-patch-md5 "4900322141d493e74020c9cf437b2cdc">
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
-<!--
-<!ENTITY systemd-security-patch "systemd-&systemd-version;-security_fixes-2.patch">
-<!ENTITY systemd-security-patch-md5 "10abebce8ff5d9fd402623ace39b5ab8">
-<!ENTITY systemd-security-patch-size "14 KB">
--->
+
+<!ENTITY systemd-networkd-patch "systemd-&systemd-version;-networkd_and_rdrand_fixes-1.patch">
+<!ENTITY systemd-networkd-patch-md5 "bb26f26d7c3a17d1888ab3171366906b">
+<!ENTITY systemd-networkd-patch-size "8 KB">
+